#Script: ConfigureSilk_QB_POS.pl
#Author: Chiranjeev Banerjee
#Description: This script configures Silk for QB or pos in FE
#Owner: POS Automation team

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
}

use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;

my $product = "";
if( ! GetOptions(
        "product=s" => \$product,
    ) ) {
            print $tee "GetOptions usage failure detected\n";
            exit 1;
}

if ($product eq "QB")
{
        system ("perl Q:\\bin\\ConfigureSilk.pl");
}
my $ProgramDir = "Program Files";
if ( -d "C:\\Program Files (x86)")
{
	$ProgramDir = "Program Files (x86)";
}
my $SilkDir = "C:\\$ProgramDir\\Silk\\SilkTest";
my $ConfigDir = "C:\\QAP\\POS\\Config\\";
#print $tee "\n\n******* Configuring silk started " . localtime() . "********\n\n";
if ($product eq "POS")
{
        system ("xcopy /Y \"C:\\QAP\\POS\\Config\\Partner.ini\" \"$SilkDir\"");
        system ("xcopy /Y \"C:\\QAP\\POS\\Config\\Extend.ini\" \"$SilkDir\"");
}
exit (0);


