﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new department  in server and verify department created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke Department List
		[ ] // 2: Create a department on client
	[+] // Expected Result:
		[ ] // 1: Verify Department created on server
[ ] // TESTCASE::CLT_AddDepartment
[ ] // ATC ID::POS_CS_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_AddDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_AddDepartment () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec nirDept1, nirDept2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Department List
			[ ] Departments.DepartmentList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Department created on server
			[ ] nirDept1 = {}
			[ ] nirDept1.sDeptName = "SRVD1"
			[ ] VerifyDepartmentsAdded (nirDept1)
		[ ] 
		[+] // Step 2: Create a department on client
			[ ] nirDept2 = {}
			[ ] nirDept2.sDeptName = "CLTD1"
			[ ] nirDept2.sDeptCode = "DC1"
			[ ] CreateNewDepartment (nirDept2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Departments.DepartmentList.Exists (3)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
