﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Non Inventory item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Item List
		[ ] // Step 2: Create a Sale on client
	[+] // Expected Result:
		[ ] // Result 1: Verify Item created on server
		[ ] // Result 2: Verify sale is created
[ ] // TESTCASE::CLT_AddNonInventoryItem
[ ] // ATC ID::POS_CS_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_AddNonInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_AddNonInventoryItem () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item created on server
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "SrvNonInvItem"
			[ ] VerifyItemAdded (nirItem1)
		[ ] 
		[+] // Step 2: Create a non Inventory item on client
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "CltNonInvItem"
			[ ] nirItem2.sDepartment = "System"
			[ ] nirItem2.sItemType = "Non-Inventory"
			[ ] nirItem2.sRegularPrice = "130.00"
			[ ] nirItem2.sAvgUnitCost = "70.00"
			[ ] CreateNewItem (nirItem2)
		[ ] 
		[+] // Result 2: Verify sale is created
			[ ] VerifyItemAdded (nirItem2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
