﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new vendor in server and verify vendor created in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke vendor List
		[ ] // Step 2: Create a vendor on client
	[+] // Expected Result:
		[ ] // Result 1: Verify vendor created on server
[ ] // TESTCASE::CLT_AddVendor
[ ] // ATC ID::POS_CS_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_AddVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_AddVendor () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor1, nvrVendor2
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify vendor created on server
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sCompany = "SrvVen"
			[ ] nvrVendor1.sFirstName = "SrvVenF"
			[ ] nvrVendor1.sLastName = "SrvVenL"
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor1.sCompany)
			[ ] VerifyVendorsData (nvrVendor1)
			[+] if Vendors.VendorList.EditVendor.Exists ()
				[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
			[+] if Vendors.VendorList.Exists ()
				[ ] Vendors.VendorList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Create a vendor on client
			[ ] nvrVendor2 = {}
			[ ] nvrVendor2.sVendorCode = "CLV"
			[ ] nvrVendor2.sCompany = "CltVen"
			[ ] nvrVendor2.sFirstName = "CltVenF"
			[ ] nvrVendor2.sLastName = "CltVenL"
			[ ] Vendors.VendorList.AddVendor.Invoke ()
			[ ] Vendors.VendorList.AddVendor.FillForm (nvrVendor2)
			[ ] Vendors.VendorList.AddVendor.Save.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
