﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open SO for edit and try editing
		[ ] // 2: Wait for client to finish
		[ ] // 3. Click OK , close SO and wait for server to finish
		[ ] // 4.Close SO
	[+] // Expected Result:
		[ ] // 1: Verify SO is locked for editing
[ ] // TESTCASE::CLT_ConcurrentDeptEdit
[ ] // ATC ID::POS_CS_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentDeptEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentDeptEdit () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open DepartmentLIst  for edit and try editing
			[ ] ndrDept.sDeptName = "SPORTS"
			[ ] Departments.DepartmentList.Invoke ()
			[ ] Departments.DepartmentList.OpenDepartmentForEdit (ndrDept.sDeptName)
			[ ] Departments.DepartmentList.EditDepartment.DeptInfo.DepartmentInfo.DeptCode.SetData ("8")
		[+] // Result 1: Verify Department is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close DepartmentLIst and wait for server to finish
			[ ] PointOfSaleMessage.OK.Click ()
			[+] if Departments.DepartmentList.Exists ()
				[ ] Departments.DepartmentList.TopBar.Home.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open DepartmentList for edit and start editing
			[ ] Departments.DepartmentList.OpenDepartmentForEdit (ndrDept.sDeptName)
			[ ] Departments.DepartmentList.EditDepartment.DeptInfo.DepartmentInfo.DeptCode.SetData ("SP2")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close DepartmentList
			[+] if Departments.DepartmentList.Exists ()
				[ ] Departments.DepartmentList.TopBar.Home.Click ()
			[+] if DepartmentInProgress.Exists (3)
				[ ] DepartmentInProgress.Yes.Click ()
			[+] if Departments.DepartmentList.Exists ()
				[ ] Departments.DepartmentList.TopBar.Home.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Departments.DepartmentList.TopBar.Home.Exists (3)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
