﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a customer on server and verify customer edits in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Customer List
		[ ] // Step 2: Edit the same customer
	[+] // Expected Result:
		[ ] // Result 1: Verify customer edited on server
[ ] // TESTCASE::CLT_EditCustomer
[ ] // ATC ID::POS_CS_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_EditCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_EditCustomer () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 1: Verify customer edited on server
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sLastName = "Cust1L"
			[ ] ncrCust1.sPhone = "1112223334"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
			[ ] sleep (3)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncrCust1)
		[ ] 
		[+] // Step 2: Edit the same customer
			[ ] ncrCust1.sPhone = "1112223115"
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.ContactInfo.Phone.SetData (ncrCust1.sPhone)
			[ ] Customers.CustomerList.EditCustomer.Save.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
