﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a department  in server and verify department not avialable on client and vice versa
	[+] // Test Steps:
		[ ] // 1: Delete an Department
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify department  deleted on client is not avilable
[ ] // TESTCASE::SRV_DeleteDepartment
[ ] // ATC ID::POS_CS_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_DeleteDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_DeleteDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("DeleteItem.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Delete a department
			[ ] ndrDept = {}
			[ ] ndrDept.sDeptName = "Sports"
			[ ] DeleteDepartment (ndrDept)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify department  deleted on client is not avilable
			[ ] ndrDept.sDeptName = "Garments"
			[ ] WaitFor (DepartmentList.ToolBar.FindDepartment)
			[ ] DepartmentList.ToolBar.FindDepartment.SetText (ndrDept.sDeptName)
			[ ] DepartmentList.TypeKeys ("<Enter>")
			[ ] VerifySafely (FindDepartment.SelectDepartment.IsEnabled (), FALSE, "Select Department button is disabled")
	[ ] 
	[+] // CLEAN UP
		[ ] FindDepartment.Close.Click ()
		[ ] DepartmentList.BottomBar.Close.Click ()
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
