﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a Inventory item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Edit an item a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify Item is edited on client
[ ] // TESTCASE::SRV_EditNonInventoryItem
[ ] // ATC ID::POS_CS_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_EditNonInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_EditNonInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Edit an item a new item
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "NonInvItem1"
			[ ] nirItem1.sRegularPrice = "125.00"
			[ ] OpenItemForEdit (nirItem1)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem1)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify Item is edited on client
			[ ] nirItem1.sRegularPrice = "130.00"
			[ ] VerifyItemData (nirItem1) 
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
