﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending customer deposit from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a new Sales order with deposit
		[ ] // 2: Update QuickBooks
	[+] // Expected Result:
		[ ] // 1. Financial Exchange dialog apears
[ ] // TESTCASE::FE_CustomerOrderDeposit
[ ] // ATC ID::POS_FE_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CustomerOrderDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CustomerOrderDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new Sales order with deposit
			[ ] corSO = {}
			[ ] corSO.ldir = {}
			[ ] // corSO.sSONum = SalesOrder.NewSalesOrder.PageList.SONum.GetText ()
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] corSO.sDepositBalance = "10.00"
			[ ] CreateSalesOrder (corSO)
		[ ] 
		[+] // Step 2: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
