﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Qty Adjustment memo from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a new cost adjustment memo
		[ ] // 2: Update QuickBooks (Result 1)
	[+] // Expected Result:
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_QtyAdjustment
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_QtyAdjustment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_QtyAdjustment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewQtyAdjMemoRec nQtyMemo
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ("DontSendPrevious")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new cost adjustment memo
			[ ] nQtyMemo = {}
			[ ] nQtyMemo.sItem = "InvItem1"
			[ ] nQtyMemo.sNewQty = "35"
			[ ] nQtyMemo.sReason = "Shrink"
			[ ] nQtyMemo.sButton = "Save"
			[ ] CreateNewQtyAdjustmentMemo (nQtyMemo)
		[ ] 
		[+] // Step 2: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 1: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
		[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
