﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Payroll details to QB
	[+] // Test Steps:
		[ ] // 1. Invoke the Employee Center (Result 1)
	[+] // Expected Result:
		[ ] // 1. To verify POS employee "Manager" is  present in Employee list
[ ] // TESTCASE::QB_EmployeePayroll_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QBPayroll.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_EmployeePayroll_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_EmployeePayroll_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sEmpName, sDesc, sDesc2
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Employee Center
				[ ] QB.SetActive ()
				[ ] EmployeeCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS employee "Manager" is  present in Employee list
				[ ] sEmpName = "Manager"
				[ ] sDesc = "POS employee {sEmpName} is found in the Employee list"
				[ ] VerifySafely (EmployeeCenter.PageList1.Employees.ElfList1.Name.Contains (sEmpName), TRUE, sDesc)
		[ ] 
		[+] // CLEANUP
			[ ] EmployeeCenter.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
