﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending customer deposits from POS to QB
	[+] // Test Steps:
		[ ] // 1: Invoke Chart Of Accounts
	[+] // Expected Result:
		[ ] // 1: Verify Customer Deposits account has increased by appropiate amount
[ ] // TESTCASE::QB_SaleCompletedDepositUsed_Verify.t
[ ] // ATC ID::POS_FE_ATC_027
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SaleCompletedDepositUsed_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_SaleCompletedDepositUsed_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "BASIC"
			[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
			[ ] CloseCompany ()
		[+] else
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke Chart Of Accounts
					[ ] ChartOfAccounts.Invoke ()
				[ ] 
				[+] // Result 1: Verify Customer Deposits account has increased by appropiate amount
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Customer Deposits", "Balance"), "0.00", "Customer Deposits Updated in QB")
			[ ] 
			[+] // CLEANUP
				[ ] ChartOfAccounts.Close ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
