﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify sending sales tips from POS to QB.
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts (Result 1)
	[+] // Expected Result:
		[ ] // 1. Verify Employee Tips Payable account has increased by Tip Amount
[ ] // TESTCASE::QB_SalesReceiptTip_Verify.t
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesReceiptTip_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_SalesReceiptTip_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "BASIC"
			[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
			[ ] CloseCompany ()
		[+] else
			[+] // VARIABLES
				[ ] STRING sItemName
			[ ] 
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke Chart Of Accounts
					[ ] QB.SetActive ()
					[ ] ChartOfAccounts.Invoke ()
				[ ] 
				[+] // Result 2: Verify Employee Tips Payable account has increased by Tip Amount
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Employee Tips Payable", "Balance"), "5.00", "Employee Tips Payable account has increased by Tip Amount")
			[ ] 
			[+] // CLEANUP
				[ ] ChartOfAccounts.Close ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
