﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating vendors between POS and QB
	[+] // Test Steps:
		[ ] // 1.Invoke the Vendor Center from the Icon Bar
	[+] // Expected Result:
		[ ] // 1. To verify POS vendor "TestVComp" is present in the vendor list
[ ] // TESTCASE::QB_FEVendors1_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_FEVendors1_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_FEVendors1_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sVendorName, sDesc
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke the Vendor Center from the Icon Bar
				[ ] QB.SetActive ()
				[ ] VendorCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS vendor "TestVComp" is present in the vendor list
				[ ] sVendorName = "TestVComp"
				[ ] sDesc = "Vendor {sVendorName} is found in the vendor center"
				[ ] VerifySafely (VendorCenter.PageList1.Vendors.ElfList1.Name.Contains (sVendorName), TRUE, sDesc)
		[ ] 
		[+] // CLEANUP
			[ ] VendorCenter.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
