﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify bringing back one time messages
	[+] // Test Steps:
		[ ] // 1: Create a new item and check "Do not show message" when pop up appears after editing avg cost
		[ ] // 2: Go to preferences and check "Bring back one time message"
		[ ] // 3: Create new item
	[+] // Expected Result:
		[ ] // 1: Verify Do not show message dialog appears
[ ] // TESTCASE::Prefs_BringBackOTM
[ ] // ATC ID::POS_FILE_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_BringBackOTM.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_BringBackOTM ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new item and check "Do not show message" when pop up appears after editing avg cost
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "TestItem1"
			[ ] nirItem1.sDepartment = "System"
			[ ] nirItem1.sRegularPrice = "100.00"
			[ ] nirItem1.sAvgUnitCost = "50.00"
			[ ] CreateNewItem (nirItem1)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Go to preferences and check "Bring back one time message"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("General")
			[ ] Preferences.CompanyPreferences.PageList.General.Options.BringBackAllOneTimeMessag.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 3: Create new item
			[ ] OpenItemForEdit (nirItem1)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.AvgUnitCost.SetData ("55.00")
			[ ] Items.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 1: Do not show message dialog appears
			[ ] VerifySafely (Items.Confirmation.Exists (5), TRUE, "One time message appears back")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.Confirmation.DontShowThisMessageAgain.Check ()
		[ ] Items.Confirmation.Continue.Click ()
		[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
