﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying every Home page Navigator icons based on sku
	[+] // Test Steps:
		[ ] // Step 1: View Home Page
		[ ] // Step 2: Click on "Point of Sale"-> "Customer Orders"
		[ ] // Step 3: Click "Point of Sale"-> "Customer Orders"-> "New SalesOrder"
		[ ] //  4: Click "Point of Sale"-> "Customer Orders"-> "New Layaway"
		[ ] //  5: Click "Point of Sale"-> "Customer Orders"-> "New WorkOrder"
		[ ] //  6: Click "Point of Sale"-> "Make a Sale"
		[ ] //  7: Click "Point of Sale"-> "Sales History"
		[ ] //  8: Click "Point of Sale"-> "Customer List"
		[ ] //  9: Click "Point of Sale"-> "Orders List"
		[ ] //  10: Click "Point of Sale"-> "Orders List"-> "Open SalesOrders (View)"
		[ ] //  11: Click "Point of Sale"-> "Orders List"-> "Open Layaways(View)"
		[ ] //  12: Click "Point of Sale"-> "Orders List"-> "Open WorkOrders(View)"
		[ ] //  13: Click "Point of Sale"-> "Held Receipts"
		[ ] //  14: Click "Point of Sale"-> "Held Receipts"-> View
		[ ] //  15: Click "Point of Sale"-> "End Of Day"
		[ ] //  16: Click "Point of Sale"-> "Rewards Manager"
		[ ] //  17: Click "Purchasing"-> "Purchase Orders"
		[ ] //  18: Click "Purchasing"-> "Receiving Vouchers"
		[ ] //  19: Click "Purchasing"-> "Receiving History"
		[ ] //  20: Click "Purchasing"-> "Item List"
		[ ] //  21: Click "Purchasing"-> "PO List"
		[ ] //  22: Click "Purchasing"-> "PO List"-> View
		[ ] //  23: Click "Purchasing"-> "Held Vouchers"
		[ ] //  24: Click "Purchasing"-> "Held Vouchers"-> View
		[ ] //  25: Click "Purchasing"-> "Vendor List"
		[ ] //  26: Click "Purchasing"-> "Department List"
		[ ] //  27: Click "Employees"-> "Clock In/Out"
		[ ] //  28: Click "Employees"-> "Manage Time Clock"
		[ ] //  29: Click "Employees"-> "Time Clock History"
		[ ] //  30: Click "Employees"-> "Employee List"
		[ ] //  31: Click "Operations"-> "Reports"
		[ ] // 32: Click "Operations"-> "Reports"-> "Report Center"
		[ ] // 33: Click "Operations"-> "Reports"-> "Dashboard"
		[ ] // 34: Click "Operations"-> "Reports"-> "View Drawer Count History"
		[ ] //  35: Click "Operations"-> "Mobile Sync"
		[ ] //  36: Click "Operations"-> "Store Exchange"
		[ ] //  37: Click "Operations"-> "Financial Center"
		[ ] //  38: Click "Operations"-> "Activate Payments"
		[ ] //  39: Click on "Point of Sale"-> "Preferences"
		[ ] //  40: Click on "Point of Sale"-> "Preferences"-> "Company Operations"
		[ ] //  41: Click on "Point of Sale"-> "Preferences"-> "Hardware Wizard"
		[ ] //  42: Click on "Point of Sale"-> "Preferences"-> "Company Preferences"
		[ ] //  43: Click on "Point of Sale"-> "Preferences"-> "Workstation Preferences"
		[ ] //  44: Click on "Point of Sale"-> "Preferences"-> "Setup Interview"
		[ ] //  45: Click on "Point of Sale"-> "Preferences"-> "Welcome Screen"
		[ ] //  46: Click on "Point of Sale"-> "Get Support"
	[+] // Expected Result:
		[ ] //  1: Verify Navigator section has header "Navigator"
		[ ] //  2: Verify Navigator section has 4 groups
		[ ] //  3: Verify drop down appears with 3 options
		[ ] //  4: Verify new SalesOrder opens up
		[ ] //  5: Verify new Layaway opens up
		[ ] //  6: Verify new WorkOrder opens up
		[ ] //  7: Verify new Sales Receipt opens up
		[ ] //  8: Verify Sales History opens up
		[ ] //  9: Verify Customer List opens up
		[ ] //  10: Verify pop up appears
		[ ] //  11: Verify Sales Orders list opens up
		[ ] //  12: Verify Layaway list opens up
		[ ] //  13: Verify Work Orders list opens up
		[ ] //  14: Verify pop up opens up
		[ ] //  15: Verify Held Receipts opens up
		[ ] //  16: Verify End Of Day process opens up
		[ ] //  17: Verify Rewards Manager opens up
		[ ] //  18: Verify new Purchase Order opens up
		[ ] //  19: Verify new Receiving Voucher opens up
		[ ] //  20: Verify Receiving History opens up
		[ ] //  21: Verify Item List opens up
		[ ] //  22: Verify pop up appears
		[ ] //  23: Verify PO List opens up
		[ ] //  24: Verify pop up appears
		[ ] //  25: Verify Held Vouchers opens up
		[ ] //  26: Verify Vendor List opens up
		[ ] //  27: Verify Department List opens up
		[ ] //  28: Verify Clock In/Out opens up
		[ ] //  29: Verify Manage Clocked In Employees opens up
		[ ] //  30: Verify Time Clock History opens up
		[ ] //  31: Verify Employee List opens up
		[ ] //  32: Verify drop down appears with 3 options
		[ ] //  33: Verify Report Center opens up
		[ ] //  34: Verify dashboard opens up
		[ ] //  35: Verify DrawerCount History opens up 
		[ ] //  36: Verify Cloud Widget Center appears
		[ ] //  37: Verify Store Exchange Center opens up
		[ ] //  38: Verify Financial  Exchange Center opens up
		[ ] //  39: Verify goes to correct link
		[ ] //  40: Verify drop down appears with 6 options
		[ ] //  41: Verify Start Company dialog opens up
		[ ] //  42: Verify Hardware Setup Wizard opens up
		[ ] //  43: Verify Company Preferences opens up
		[ ] //  44: Verify Workstation Preferences opens up
		[ ] //  45: Verify Setup Interview opens up
		[ ] //  46: Verify Welcome Screen opens up
		[ ] //  47: Verify QuickBooks support center opens up
[ ] // TESTCASE::NavigatorAccess
[ ] // ATC ID::POS_HOME_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorAccess.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorAccess ()
	[+] // VARIABLES
		[ ] STRING ActivatePaymentsLink, QBSupportLink
	[ ] 
	[+] // SETUP
		[ ] // Setup not required
	[ ] 
	[+] // STEPS
		[+] // Step 1: View Home Page
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.NavigatorText, 10)
		[ ] 
		[+] // Result 1: Verify Navigator section has header "Navigator"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.NavigatorText.GetCaption (), "Navigator", "Navigator header is displayed")
		[ ] 
		[+] // Result 2: Verify Navigator section has 4 groups
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.PointOfSaleText.GetCaption (), "Point of Sale", "Navigator has section 'Point of Sale'")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.PurchasingText.GetCaption (), "Purchasing", "Navigator has section 'Purchasing'")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.EmployeesText.GetCaption (), "Employees", "Navigator has section 'Employees'")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.OperationsText.GetCaption (), "Operations", "Navigator has section 'Operations'")
		[ ] 
		[+] // Step 3-5: Differing based on SKU
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 2: Click on "Point of Sale"-> "Customer Orders"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
				[ ] 
				[+] // Result 3: Verify drop down appears with 3 options
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewSalesOrder.Exists (3), TRUE, "New SalesOrder option present")
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewLayaway.Exists (3), TRUE, "New Layaway option present")
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewWorkOrder.Exists (3), TRUE, "New WorkOrder option present")
				[ ] 
				[+] // Step 3: Click "Point of Sale"-> "Customer Orders"-> "New SalesOrder"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewSalesOrder.Click ()
				[ ] 
				[+] // Result 4: Verify new SalesOrder opens up
					[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (10), TRUE, "New SalesOrder opens up")
					[ ] WaitForPageToLoad (3)
					[ ] SalesOrder.SetActive ()
					[ ] SalesOrder.BottomBar.Cancel.Click ()
				[ ] 
				[+] // Step 4: Click "Point of Sale"-> "Customer Orders"-> "New Layaway"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
					[ ] WaitForPageToLoad (3)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewLayaway.Click ()
				[ ] 
				[+] // Result 5: Verify new Layaway opens up
					[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "New Layaway opens up")
					[ ] Layaway.BottomBar.Cancel.Click ()
				[ ] 
				[+] // Step 5: Click "Point of Sale"-> "Customer Orders"-> "New WorkOrder"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewWorkOrder, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewWorkOrder.Click ()
				[ ] 
				[+] // Result 6: Verify new WorkOrder opens up
					[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "New WorkOrder opens up")
					[ ] WorkOrder.BottomBar.Cancel.Click ()
			[+] else
				[+] // Result 3: Verify Customer Orders is not enabled for Basic and free sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.IsEnabled, FALSE, "Customer Orders is not enabled for Basic and Free sku")
		[ ] 
		[+] // Step 6: Click "Point of Sale"-> "Make a Sale"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.MakeASale, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.MakeASale.Click ()
		[ ] 
		[+] // Result 7: Verify new Sales Receipt opens up
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "New Sales Receipt opens up")
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Click "Point of Sale"-> "Sales History"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.SalesHistory, 5)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.SalesHistory.Click ()
		[ ] 
		[+] // Result 8: Verify Sales History opens up
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales History opens up")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 8: Differing based on SKU
			[+] if sSKU != "FREE" 
				[+] // Step 8: Click "Point of Sale"-> "Customer List"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerList, 5)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerList.Click ()
				[ ] 
				[+] // Result 9: Verify Customer List opens up
					[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer List opens up")
					[ ] Customers.CustomerList.Topbar.Home.Click ()
			[+] else
				[+] // Result 9: Verify Customer List is not enabled for Free sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerList.IsEnabled, FALSE, "Customer List is not enabled for Free sku")
		[ ] 
		[+] // Step 9-12: Differing based on SKU
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 9: Click "Point of Sale"-> "Orders List"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList, 5)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
				[ ] 
				[+] // Result 10: Verify pop up appears
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.Exists (5), TRUE, "Pop up appears")
				[ ] 
				[+] // Step 10: Click "Point of Sale"-> "Orders List"-> "Open SalesOrders (View)"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewSOList.Click ()
				[ ] 
				[+] // Result 11: Verify Sales Orders list opens up
					[ ] VerifySafely (SOList.Exists (5), TRUE, "Sales Order list opens up")
					[ ] SOList.BottomBar.Close.Click ()
				[ ] 
				[+] // Step 11: Click "Point of Sale"-> "Orders List"-> "Open Layaways(View)"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewLAList.Click ()
				[ ] 
				[+] // Result 12: Verify Layaway list opens up
					[ ] VerifySafely (LayawayList.Exists (5), TRUE, "Layaway list opens up")
					[ ] LayawayList.BottomBar.Close.Click ()
				[ ] 
				[+] // Step 12: Click "Point of Sale"-> "Orders List"-> "Open WorkOrders(View)"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewWOList.Click ()
				[ ] 
				[+] // Result 13: Verify Work Orders list opens up
					[ ] VerifySafely (WOList.Exists (5), TRUE, "WorkOrders list opens up")
					[ ] WOList.BottomBar.Close.Click ()
			[+] else
				[+] // Result 10: Verify Orders List is not enabled for basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.IsEnabled, FALSE, "Orders List is not enabled for basic and Free Sku")
		[ ] 
		[+] // Step 13: Click "Point of Sale"-> "Held Receipts"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Click ()
		[ ] 
		[+] // Result 14: Verify pop up opens up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.Exists (5), TRUE, "Pop up appears")
		[ ] 
		[+] // Step 14: Click "Point of Sale"-> "Held Receipts"-> View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.ViewHeldReceiptList.Click ()
		[ ] 
		[+] // Result 15: Verify Held Receipts opens up
			[ ] VerifySafely (HeldReceipts.HeldReceiptList.Exists (5), TRUE, "Held Receipts opens up")
			[ ] HeldReceipts.HeldReceiptList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 15: Click "Point of Sale"-> "End Of Day"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.EndOfDay.Click ()
		[ ] 
		[+] // Result 16: Verify End Of Day process opens up
			[ ] VerifySafely (EndOfDayProcess.Exists (5), TRUE, "End Of Day process opens up")
			[ ] EndOfDayProcess.Cancel.Click ()
		[ ] 
		[+] // Step 16-17: Differing based on SKU
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 16: Click "Point of Sale"-> "Rewards Manager"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.RewardManager, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.RewardManager.Click ()
				[ ] 
				[+] // Result 17: Verify Rewards Manager opens up
					[ ] VerifySafely (RewardManager.Exists (5), TRUE, "Rewards Manager opens up")
					[ ] RewardManager.BottomBar.Close.Click ()
				[ ] 
				[+] // Step 17: Click "Purchasing"-> "Purchase Orders"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.PurchaseOrders, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.PurchaseOrders.Click ()
				[ ] 
				[+] // Result 18: Verify new Purchase Order opens up
					[ ] VerifySafely (PurchaseOrder.Exists (5), TRUE, "New Purchase Order opens up")
					[ ] PurchaseOrder.BottomBar.Cancel.Click ()
			[+] else
				[+] // Result 17: Verify Rewards Manager is not enabled for Basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.RewardManager.IsEnabled, FALSE, "Rewards Manager is not enabled for Basic and Free Sku")
				[ ] 
				[+] // Result 18: Verify Purchase Orders is not enabled for Basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.PurchaseOrders.IsEnabled , FALSE, "Purchase Order is not enabled for Basic and Free Sku")
		[ ] 
		[+] // Step 18-19: Differing based on SKU
			[+] if sSKU != "FREE" 
				[+] // Step 18: Click "Purchasing"-> "Receiving Vouchers"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingVouchers, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingVouchers.Click ()
				[ ] 
				[+] // Result 19: Verify new Receiving Voucher opens up
					[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "New Receiving Voucher opens up")
					[ ] Voucher.ReceivingVoucher.Topbar.Home.Click ()
				[ ] 
				[+] // Step 19: Click "Purchasing"-> "Receiving History"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingHistory.Click ()
				[ ] 
				[+] // Result 20: Verify Receiving History opens up
					[ ] VerifySafely (ReceivingHistory.VoucherList.Exists (5), TRUE, "Receiving History opens up")
					[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
			[+] else
				[+] // Result 19: Verify Receiving Vouchers is not enabled for Free sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingVouchers.IsEnabled, FALSE, "Receiving Vouchers is not enabled for Free sku")
				[ ] 
				[+] // Result 20: Verify Receiving History is not enabled for Free sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingHistory.IsEnabled, FALSE, "Receiving History is not enabled for Free sku")
		[ ] 
		[+] // Step 20: Click "Purchasing"-> "Item List"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ItemList.Click ()
		[ ] 
		[+] // Result 21: Verify Item List opens up
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List opens up")
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 21-22: Differing based on SKU
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 21: Click "Purchasing"-> "PO List"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Click ()
				[ ] 
				[+] // Result 22: Verify pop up appears
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Popup.Exists (5), TRUE, "Pop up appears")
				[ ] 
				[+] // Step 22: Click "Purchasing"-> "PO List"-> View
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Popup.ViewPOList.Click ()
				[ ] 
				[+] // Result 23: Verify PO List opens up
					[ ] VerifySafely (POList.Exists (5), TRUE, "PO List opens up")
					[ ] POList.BottomBar.Close.Click ()
			[+] else
				[+] // Result 22: Verify PO list is not enabled for Basic and free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.IsEnabled, FALSE, "PO list is not enabled for Basic and free Sku")
		[ ] 
		[+] // Step 23-25: Differing based on SKU
			[+] if sSKU != "FREE" 
				[+] // Step 23: Click "Purchasing"-> "Held Vouchers"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Click ()
				[ ] 
				[+] // Result 24: Verify pop up appears
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.Exists (5), TRUE, "Pop up appears")
				[ ] 
				[+] // Step 24: Click "Purchasing"-> "Held Vouchers"-> View
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.ViewHeldVoucherList.Click ()
				[ ] 
				[+] // Result 25: Verify Held Vouchers opens up
					[ ] VerifySafely (HeldVouchers.HeldVoucherList.Exists (5), TRUE, "PO List opens up")
					[ ] HeldVouchers.HeldVoucherList.Topbar.Home.Click ()
				[ ] 
				[+] // Step 25: Click "Purchasing"-> "Vendor List"
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.VendorList.click ()
				[ ] 
				[+] // Result 26: Verify Vendor List opens up
					[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List opens up")
					[ ] Vendors.VendorList.Topbar.Home.Click ()
			[+] else
				[+] // Result 24: Verify Held Vouchers is not enabled for free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.IsEnabled, FALSE, " Held Vouchers is not enabled for free Sku")
				[ ] 
				[+] // Result 26: Verify Vendor List is not enabled for free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.VendorList.IsEnabled, FALSE, "Vendor List is not enabled for free Sku")
		[ ] 
		[+] // Step 26: Click "Purchasing"-> "Department List"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.DepartmentList, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.DepartmentList.Click ()
		[ ] 
		[+] // Result 27: Verify Department List opens up
			[ ] VerifySafely (Departments.DepartmentList.Exists (5), TRUE, "Department List opens up")
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
			[ ] Wait (6)
		[ ] 
		[+] // Step 27-29: Differing based on SKU
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 27: Click "Employees"-> "Clock In/Out"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ClockInOut, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ClockInOut.Click ()
				[ ] 
				[+] // Result 28: Verify Clock In/Out opens up
					[ ] VerifySafely (ClockInOut.Exists (5), TRUE, "Clock In/Out opens up")
					[ ] ClockInOut.Cancel.Click ()
				[ ] 
				[+] // Step 28: Click "Employees"-> "Manage Time Clock"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock.Click ()
				[ ] 
				[+] // Result 29: Verify Manage Clocked In Employees opens up
					[ ] VerifySafely (ManageClockedInEmployees.Exists (5), TRUE, "Manage Clocked In Employees opens up")
					[ ] ManageClockedInEmployees.Cancel.Click ()
				[ ] 
				[+] // Step 29: Click "Employees"-> "Time Clock History"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.TimeClockHistory, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.TimeClockHistory.Click ()
				[ ] 
				[+] // Result 30: Verify Time Clock History opens up
					[ ] VerifySafely (TimeClockHistory.Exists (5), TRUE, "Time Clock History opens up")
					[ ] TimeClockHistory.BottomBar.Close.Click ()
			[+] else
				[+] // Result 28: Verify Clock In/Out is not enabled for Basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ClockInOut.IsEnabled, FALSE, "Clock In/Out is not enabled for Basic and Free Sku")
				[ ] 
				[+] // Result 29: Verify Manage Clocked In Employees is not enabled for Basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock.IsEnabled, FALSE , "Manage Clocked In Employees is not enabled for Basic and Free Sku")
				[ ] 
				[+] // Result 30: Verify Time Clock History is not enabled for Basic and Free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.TimeClockHistory.IsEnabled, FALSE, "Time Clock History is not enabled for Basic and Free Sku")
		[ ] 
		[+] // Step 30: Differing based on SKU
			[+] if sSKU != "FREE" 
				[+] // Step 30: Click "Employees"-> "Employee List"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.EmployeeList, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.EmployeeList.Click ()
				[ ] 
				[+] // Result 31: Verify Employee List opens up
					[ ] VerifySafely (Employees.Exists (10), TRUE, "Employee List opens up")
					[ ] Employees.BottomBar.Close.Click ()
			[+] else
				[+] // Result 22: Verify Employee List is not enabled for free Sku
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.EmployeeList.IsEnabled, FALSE, "Employee List is not enabled for free Sku")
		[ ] 
		[+] // Step 31: Click "Operations"-> "Reports"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Click ()
		[ ] 
		[+] // Result 32: Verify drop down appears with 3 options
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ReportCenter, 3)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ReportCenter.Exists (3), TRUE, "Report Center option present")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.Dashboard.Exists (3), TRUE, "Dashboard option present")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ViewDrawerCountHistory.Exists (3), TRUE, "View Drawer Count History option present")
		[ ] 
		[+] // Step 32: Click "Operations"-> "Reports"-> "Report Center"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ReportCenter.Click ()
		[ ] 
		[+] // Result 33: Verify Report Center opens up
			[ ] VerifySafely (Reports.ReportCenter.Exists (10), TRUE, "Report Center opens up")
			[ ] Wait (3)
			[ ] Reports.BottomBar.Close.Click ()
			[ ] Wait (6)
		[ ] 
		[+] // Step 33: Differing based on SKU
			[+] if sSKU != "FREE" 
				[+] // Step 33: Click "Operations"-> "Reports"-> "Dashboard"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports, 3)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.Dashboard, 3)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.Dashboard.Click ()
				[ ] 
				[+] // Result 34: Verify Dashboard opens up
					[ ] VerifySafely (Dashboard.Dashboard.Exists (10), TRUE, "Dashboard opens up")
					[ ] Wait (3)
					[ ] Dashboard.BottomBar.Close.Click ()
					[ ] Wait (6)
			[+] else
				[+] // Result 22: Verify Dashboard is not enabled for free Sku
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports, 3)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Click ()
					[ ] wait (3)
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.Dashboard.IsEnabled, FALSE, "Dashboard is not enabled for free Sku")
		[ ] 
		[+] // Step 34: Click "Operations"-> "Reports"-> "View Drawer Count History"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports, 3)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ViewDrawerCountHistory, 3)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Reports.Dropdown.ViewDrawerCountHistory.Click ()
		[ ] 
		[+] // Result 35: Verify Drawer Count History opens up
			[ ] VerifySafely (DrawerCountHistory.DrawerCountHistory.Exists (10), TRUE, "Drawer Count History opens up")
			[ ] Wait (3)
			[ ] DrawerCountHistory.BottomBar.Close.Click ()
			[ ] Wait (6)
		[ ] 
		[+] // Step 35: Click "Operations"-> "Mobile Sync"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.MobileSync, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.MobileSync.Click ()
		[ ] 
		[+] // Result 36: Verify Cloud Widget Center appears
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.Exists (5), TRUE, "Cloud Widget appears")
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.PointOfSaleText.Click ()
		[ ] 
		[+] // Step 36: Differing based on SKU
			[+] if sSKU == "MULTISTORE"
				[+] // Step 36: Click "Operations"-> "Store Exchange"
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.StoreExchange, 10)
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.StoreExchange.Click ()
				[ ] 
				[+] // Result 37: Verify Store Exchange Center opens up
					[ ] VerifySafely (Stores.StoreExchangeCenter.Exists (10), TRUE, "Store Exchange Center opens up")
					[ ] Wait (3)
					[ ] Stores.BottomBar.Close.Click ()
					[ ] Wait (6)
			[+] else 
				[+] // Result 37: Verify Store Exchange is not enabled for Skus other than Multistore
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.StoreExchange.IsEnabled, FALSE, "Store Exchange Center is not enabled for Skus other than Multistore")
		[ ] 
		[+] // Step 37: Click "Operations"-> "Financial Center"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.FinancialCenter, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.FinancialCenter.Click ()
		[ ] 
		[+] // Result 38: Verify Financial  Exchange Center opens up
			[ ] VerifySafely (FinancialCenter.Exists (5), TRUE, "Financial Exchange Center opens up")
			[ ] FinancialCenter.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 38: Click "Operations"-> "Activate Payments"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.ActivatePayments, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.ActivatePayments.Click ()
			[ ] WaitForPageToLoad (10)
		[ ] 
		[+] // Result 39: Verify goes to correct link
			[ ] WebBrowser.SetActive ()
			[ ] // ActivatePaymentsLink = "http://payments.intuit.com/ipd/posms/redirect.jsp?posver=11&p_prioritycode=posiconbarv11"
			[ ] ActivatePaymentsLink = "http://inquickbooks.intuit.com/posmsv11test/?p_prioritycode=posiconbarv11"
			[ ] VerifySafely (WebBrowser.AddressBar.GetText (), ActivatePaymentsLink, "Goes to correct link")
			[ ] WebBrowser.Close ()
		[ ] 
		[+] // Step 39: Click on "Point of Sale"-> "Preferences"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
		[ ] 
		[+] // Result 40: Verify drop down appears with 6 options
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.CompanyOperations.Exists (5), TRUE, "CompanyOperations option exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.HardwareWizard.Exists (), TRUE, "HardwareWizard option exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.CompanyPreferences.Exists (), TRUE, "CompanyPreferences option exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.WorkstationPreferences.Exists (), TRUE, "WorkstationPreferences option exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.SetupInterview.Exists (), TRUE, "SetupInterview option exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.WelcomeScreen.Exists (), TRUE, "WelcomeScreen option exists")
		[ ] 
		[+] // Step 40: Click on "Point of Sale"-> "Preferences"-> "Company Operations"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.CompanyOperations.Click ()
		[ ] 
		[+] // Result 41: Verify Start Company dialog opens up
			[ ] VerifySafely (QuickBooksPointOfSale.StartCompany.Exists (5), TRUE, "Start Company dialog opens up")
			[ ] QuickBooksPointOfSale.StartCompany.Exit.Click ()
		[ ] 
		[+] // Step 41: Click on "Point of Sale"-> "Preferences"-> "Hardware Wizard"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.HardwareWizard.Click ()
			[ ] Wait (6)
		[ ] 
		[+] // Result 42: Verify Hardware Setup Wizard opens up
			[ ] VerifySafely (HardwareSetupWizardC.Exists (30), TRUE, "Hardware Setup Wizard opens up")
			[ ] HardwareSetupWizardC.TPanel3.Leave.Click ()
			[ ] Wait (10)
		[ ] 
		[+] // Step 42: Click on "Point of Sale"-> "Preferences"-> "Company Preferences"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.CompanyPreferences.Click ()
		[ ] 
		[+] // Result 43: Verify Company Preferences opens up
			[ ] VerifySafely (Preferences.CompanyPreferences.Exists (10), TRUE, "Company Preferences opens up")
			[ ] Preferences.BottomBar.Cancel.Click ()
		[ ] 
		[+] // Step 43: Click on "Point of Sale"-> "Preferences"-> "Workstation Preferences"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.WorkstationPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.WorkstationPreferences.Click ()
		[ ] 
		[+] // Result 44: Verify Workstation Preferences opens up
			[ ] VerifySafely (Preferences.Exists (10), TRUE, "Workstation Preferences opens up")
			[ ] Preferences.BottomBar.Cancel.Click ()
		[ ] 
		[+] // Step 44: Click on "Point of Sale"-> "Preferences"-> "Setup Interview"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.SetupInterview.Click ()
		[ ] 
		[+] // Result 45: Verify Setup Interview opens up
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (10), TRUE, "Setup Interview opens up")
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Step 45: Click on "Point of Sale"-> "Preferences"-> "Welcome Screen"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.WelcomeScreen.Click ()
		[ ] 
		[+] // Result 46: Verify Welcome Screen opens up
			[ ] VerifySafely (WelcomeScreen.Exists (10), TRUE, "Welcome Screen opens up")
			[ ] WelcomeScreen.Close.Click ()
			[ ] Wait (3)
		[ ] 
		[+] // Step 46: Click on "Point of Sale"-> "Get Support"
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.GetSupport, 10)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.GetSupport.Click ()
			[ ] WaitForPageToLoad (6)
		[ ] 
		[+] // Result 47: Verify QuickBooks support center opens up
			[ ] QBSupportLink = "http://support.quickbooks.intuit.com/support/ProductUpdates.aspx"
			[ ] WebBrowser.SetActive ()
			[ ] VerifySafely (WebBrowser.AddressBar.GetText (), QBSupportLink, "QuickBooks support center opens up")
	[ ] 
	[+] // CLEAN UP
		[ ] WebBrowser.Close ()
[ ] 
