﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify badge on navigator manage time clock
	[+] // Test Steps:
		[ ] // STEP 1: Navigate to clock in Out and clock in an employee
		[ ] // STEP 2: Click on manage time clock
		[ ] // STEP 3: Close Managed clocked dialog
		[ ] // STEP 4: Clouck out the employee
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Badge appeard on MAnage time clock
		[ ] // RESULT 2: Verify Manage clocked on employee dialog appears
		[ ] // RESULT 3: Verify badge is not displayed anymore
[ ] // TESTCASE.:NavigatorClockedEmployeesBadge
[ ] // ATC ID::POS_HOME_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorClockedEmployeesBadge.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorClockedEmployeesBadge () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Navigate to clock in Out and clock in an employee
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ClockInOut.Click ()
			[ ] ClockInOut.EnterUserName.Select ("Sysadmin")
			[ ] ClockInOut.ClockIn.Click ()
			[+] if PointOfSaleMessage170031.Exists (3)
				[ ] PointOfSaleMessage170031.Yes.Click ()
		[ ] 
		[+] // RESULT 1: Verify Badge appeard on MAnage time clock
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock.BadgeCount.GetCaption (), "1", "Badge appeared with correct display when employee clocks in")
		[ ] 
		[+] // STEP 2: Click on manage time clock
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock.Click ()
		[ ] 
		[+] // RESULT 2: Verify Manage clocked on employee dialog appears
			[ ] VerifySafely (ManageClockedInEmployees.Exists (2), TRUE, "Managed clocked in employees dialog appears")
		[ ] 
		[+] // STEP 3: Close Managed clocked dialog
			[ ] ManageClockedInEmployees.Cancel.Click ()
		[ ] 
		[+] // STEP 4: Clouck out the employee
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ClockInOut.Click ()
			[ ] ClockInOut.EnterUserName.Select ("Sysadmin")
			[ ] ClockInOut.ClockOut.Click ()
		[ ] 
		[+] // RESULT 3: Verify badge is not displayed anymore
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Employees.ManageTimeClock.BadgeCount.Exists (), FALSE, "Badge appeared with correct display when employee clocks in")
	[ ] 
	[+] // CLEANUP
		[ ] //Not required
[ ] 
