﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify badge on navigator held receipt
	[+] // Test Steps:
		[ ] // STEP 1: Navigate to new sales receipt and create a new held receipt
		[ ] // STEP 2: Click on held receipt
		[ ] // STEP 3: Click on View
		[ ] // STEP 4: Unhold the receipt and complete the sale
		[ ] // STEP 5: Click on held recipt
		[ ] // STEP 6 : Navigate to new sales receipt and create a new held receit two months old
		[ ] // STEP 7: Click on held receipt
		[ ] // STEP 8: Click on View
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Badge appeard on held receipt icon with correct number
		[ ] // RESULT 2: Verify data is updated on pop up
		[ ] // RESULT 3: Verify held receipt
		[ ] // RESULT 4: Verify badge is not displayed anymore
		[ ] // RESULT 5: Verify data on pop up udated correctly
		[ ] // RESULT 6: Verify Badge does not appear on Held Receipt NAvigator
		[ ] // RESULT 7: Verify data is updated on pop up
		[ ] // RESULT 8: Verify held receipt
[ ] // TESTCASE.:NavigatorHeldReceiptBadge
[ ] // ATC ID::POS_HOME_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorHeldReceiptBadge.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorHeldReceiptBadge ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, dtDocDate
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Navigate to new sales receipt and create a new held receipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.MakeASale.Click ()
			[ ] srrSale.sButton = "Hold"
			[+] srrSale.ldir = {...}
				[ ] {"InvItem1"}
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // RESULT 1: Verify Badge appeard on held receipt icon with correct number
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.BadgeCount.Exists (2), TRUE, "Badge appeared on held receipt icon")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.BadgeCount.GetCaption (), "1", "NUmber displayed on badge is correct")
		[ ] 
		[+] // STEP 2: Click on held receipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Click ()
		[ ] 
		[+] // RESULT 2: Verify data is updated on pop up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.GetTotalHeldReceiptsLast30Days (), "1", "Pop up data updted correctly")
		[ ] 
		[+] // STEP 3: Click on View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.ViewHeldReceiptList.Click ()
		[ ] 
		[+] // RESULT 3: Verify held receipt
			[ ] WaitForPageToLoad (4)
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 105.00 1 None"
			[ ] VerifySafely (GetSalesDetailFromHeldList (), lsSalesExpected, "Held receipt listed in held list")
		[ ] 
		[+] // STEP 4: Unhold the voucher and complete the sale
			[ ] HeldReceipts.HeldReceiptList.Topbar.Unhold.Click ()
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // RESULT 4: Verify badge is not displayed anymore
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.BadgeCount.Exists (), FALSE, "Badge not displayed")
		[ ] 
		[+] // STEP 5: Click on held recipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Click ()
		[ ] 
		[+] // RESULT 5: Verify data on pop up udated correctly
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.GetTotalHeldReceiptsLast30Days (), "0",  "Popup updated correctly")
		[ ] 
		[+] // STEP 6 : Navigate to new sales receipt and create a new held receit two months old
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.MakeASale.Click ()
			[ ] srrSale.sButton = NULL
			[+] srrSale.ldir = {...}
				[ ] {"InvItem1"}
			[ ] srrSale.bExitSales = FALSE
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.IWantTo.Open ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] dtDocDate = GetDateString ("m/d/yyyy", AddDateTime (GetDateTime (), -60))
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
			[ ] SalesReceipt.Sale.PutOnHold.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // RESULT 6: Verify Badge does not appear on Held Receipt NAvigator
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.BadgeCount.Exists (2), FALSE, "Badge does not appear on held receipt icon for held recipt older than 30 days")
		[ ] 
		[+] // STEP 7: Click on held receipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Click ()
		[ ] 
		[+] // RESULT 7: Verify data is updated on pop up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.GetTotalHeldReceiptsLast30Days (), "0", "Pop up data updted correctly")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.GetOldestReceiptAge (), "60 Days", "Oldest receipt age updated")
		[ ] 
		[+] // STEP 8: Click on View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.HeldReceipts.Popup.ViewOldestReceipt.Click ()
		[ ] 
		[+] // RESULT 8: Verify held receipt
			[ ] WaitForPageToLoad (4)
			[+] lsSalesExpected = {...}
				[ ] "{dtDocDate} Regular Sales 1 1 105.00 1 Cash"
			[ ] VerifySafely (GetSalesDetailFromHeldList (), lsSalesExpected, "Held receipt listed in held list")
	[ ] 
	[+] // CLEANUP
		[ ] HeldReceipts.HeldReceiptList.Topbar.Home.Click ()
[ ] 
