﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify badge on nvaigator POList
	[+] // Test Steps:
		[ ] // STEP 1: Navigate to new PO and create a new PO
		[ ] // STEP 2: Click on POList
		[ ] // STEP 3: Click on View
		[ ] // STEP 4: Edit the open PO to chnage the status to closed
		[ ] // STEP 5: Click on POList
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Badge appeard on POList icon with correct number
		[ ] // RESULT 2: Verify data is updated on pop up
		[ ] // RESULT 3: Verify POList is open
		[ ] // RESULT 4: Verify badge is not displayed anymore
		[ ] // RESULT 5: Verify data on pop up udated correctly
[ ] // TESTCASE.:NavigatorPurchaseOrdersBadge
[ ] // ATC ID::POS_SALE_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorPurchaseOrdersBadge.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorPurchaseOrdersBadge () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewPurchaseOrderRec porPO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] porPO = {}
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Navigate to new PO and create a new PO
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.PurchaseOrders.Click ()
			[+] porPO.ldir = {...}
				[ ] {"InvItem1"}
			[ ] porPO.sButton = "Save"
			[ ] porPO.sVendor = "System"
			[ ] CreatePurchaseOrder (porPO)
		[ ] 
		[+] // RESULT 1: Verify Badge appeard on POList icon with correct number
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.BadgeCount.GetCaption (), "1", "Badge appears with correct number")
		[ ] 
		[+] // STEP 2: Click on POList
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Click ()
		[ ] 
		[+] // RESULT 2: Verify data is updated on pop up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Popup.GetTotalOpenPurchaseOrders (), "1", "data on pop up updated correctly")
		[ ] 
		[+] // STEP 3: Click on View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Popup.ViewPOList.Click ()
		[ ] 
		[+] // RESULT 3: Verify POList is open
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (3), TRUE, "POList open")
		[ ] 
		[+] // STEP 4: Edit the open PO to chnage the status to closed
			[ ] POList.OpenPOForEdit (porPO.sPONumber)
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.Status.Select ("Closed")
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
			[+] if POList.PurchaseOrderList.Exists (2)
				[ ] POList.BottomBar.Close.Click ()
		[ ] 
		[+] // RESULT 4: Verify badge is not displayed anymore
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.BadgeCount.Exists (2), FALSE, "Badge disappears on closing PO")
		[ ] 
		[+] // STEP 5: Click on POList
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Click ()
		[ ] 
		[+] // RESULT 5: Verify data on pop up udated correctly
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.POList.Popup.GetTotalOpenPurchaseOrders (), "0", "data on pop up updated correctly")
	[ ] 
	[+] // CLEANUP
		[ ] // Clean up not required. Already in Home Page.
[ ] 
