﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing inventory item
	[+] // Test Steps:
		[ ] // 1. Invoke Items List (Result 1)
		[ ] // 2. Enter name of item  to be edited on Search Inventory fiels of Item List (Result 2)
		[ ] // 3. Click on Edit (Result 3)
		[ ] // 4. Fill the Item form with all mandatory fields and selecting itemtype as Inventory
		[ ] // 5. Click on Save
		[ ] // 6. Enter name of item  to be edited on Search Inventory fiels of Item List (Result 4)
		[ ] // 7. Click on Edit (Result 5) (Result 6)
		[ ] // 8. Enter name of item  to be edited on Search Inventory fiels of Item List and click Edit
		[ ] // 9.  Click 'Enter' (Result 7)
		[ ] // 10. Enter name of item  to be edited on Search Inventory fiels of Item List and click Edit
		[ ] // 11. Click 'X' at top right corner (Result 8)
	[+] // Expected Result:
		[ ] // 1. Verify Item List is dispalyed
		[ ] // 2. Verify Edit button is enabled
		[ ] // 3. Verify Edit Inventory Item form is displayed
		[ ] // 4. Verify Edit button is enabled
		[ ] // 5. Verify Edit Inventory Item form is displayed
		[ ] // 6: Verify Item data save successfully
		[ ] // 7. Verify Item List appears
		[ ] // 8. Verify Item List appears
[ ] // TESTCASE::EditInventoryItem
[ ] // ATC ID::POS_INV_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Enter name of item  to be edited on Search Inventory fiels of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 2: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 3: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 3: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Step 4: Fill the Item form with all mandatory fields and selecting itemtype as Inventory
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestInvItem1"
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] nirItem.sOnHandQty = "50"
			[ ] FillItemForm (nirItem)
		[ ] 
		[+] // Step 5: Click on Save
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of item  to be edited on Search Inventory fiels of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 4: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 7: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Result 6: Verify Item data save successfully
			[ ] VerifyItemData (nirItem)
			[+] if Items.ItemsList.EditInventoryItem.Exists ()
				[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 8: Enter name of item  to be edited on Search Inventory fiels of Item List and click Edit
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Step 9: Click 'Enter'
			[ ] Items.ItemsList.EditInventoryItem.TypeKeys ("<Enter>")
		[ ] 
		[+] // Result 7: Verify Item List appears
			[ ] VerifySafely (Items.ItemsList.Exists (3), TRUE, "Item List appears")
		[ ] 
		[+] // Step 10: Enter name of item  to be edited on Search Inventory fiels of Item List and click Edit
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Step 11: Click 'X' at top right corner
			[ ] Items.ItemsList.EditInventoryItem.Close.Click ()
		[ ] 
		[+] // Result 8: Verify Item List appears
			[ ] VerifySafely (Items.ItemsList.Exists (3), TRUE, "Item List appears")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
