﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing Service item
	[+] // Test Steps:
		[ ] // 1. Invoke Items List (Result 1)
		[ ] // 2. Enter name of item  to be edited on Search Non-Inventory fiels of Item List (Result 2)
		[ ] // 3. Click on Edit (Result 3)
		[ ] // 4. Fill the Item form with all mandatory fields and selecting itemtype as Non-Inventory
		[ ] // 5. Click on Save
		[ ] // 6. Enter name of item  to be edited on Search Non-Inventory fiels of Item List (Result 4)
		[ ] // 7. Click on Edit (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify Item List is dispalyed
		[ ] // 2. Verify Edit button is enabled
		[ ] // 3. Verify Edit Non-Inventory Item form is displayed
		[ ] // 4. Verify Edit button is enabled
		[ ] // 5. Verify Edit Non-Inventory Item form is displayed
[ ] // TESTCASE::EditServiceItem
[ ] // ATC ID::POS_INV_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditServiceItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditServiceItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Enter name of item  to be edited on Search Inventory fiels of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "ServItem1"
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 2: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 3: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 3: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Step 4: Fill the Item form with all mandatory fields and selecting itemtype as Inventory
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestServtem1"
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] nirItem.sOnHandQty = "50"
			[ ] FillItemForm (nirItem)
		[ ] 
		[+] // Step 5: Click on Save
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of item  to be edited on Search Inventory fiels of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 4: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 7: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Result 6: Verify Item data save successfully
			[ ] VerifyItemData (nirItem)
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
