﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Modify Qt yFrom StyleGrid
	[+] // Test Steps:
		[ ] // Step 1: Open an item for edit having OH Qty
		[ ] // Step 2: Open the item for edit having OH Qty and click on Style
		[ ] // Step 3: Set OH Qty  as '0' for a style combi and press enter
		[ ] // Step 4: Click on Save
		[ ] // Step 5: Open the item for edit and click on Style
		[ ] // Step 6: Set OH Qty for a style combi and press Tab
		[ ] // Step 7: Click on Save
		[ ] // Step 8: Open the item for edit and click on Style
		[ ] // Step 9: Set OH Qty for a style combi and press Esc
		[ ] // Step 10: Click on Save
		[ ] // Step 11: Open the item for edit and click on Style
		[ ] // Step 12: Set OH Qty for a style combi and click on Save
		[ ] // Step 13: Open the item for edit and click on Style
		[ ] // Step 14: Delete the attribute label having OHQty
		[ ] // Step 15: Click on Clear Size Attribute
		[ ] // Step 16: Delete the attribute label having OHQty
		[ ] // Step 17: Click on Clear Size Attribute
		[ ] // Step 18: Change the <Blank> Attribute to some value
		[ ] // Step 19: Click on OK and then save
	[+] // Expected Result:
		[ ] // Result 1: Verify only one item present for style
		[ ] // Result 2: Verify style dialog should be displayed
		[ ] // Result 3: Verify the OH qty is set for the style combi
		[ ] // Result 4: Verify new style Item added
		[ ] // Result 5: Verify style dialog should be displayed
		[ ] // Result 6: Verify the OH qty is set for the style combi
		[ ] // Result 7: Verify new style Item added
		[ ] // Result 8: Verify style dialog should be displayed
		[ ] // Result 9: Verify the OH qty is not set for the style combi
		[ ] // Result 10: Verify new style not Item added
		[ ] // Result 11: Verify style dialog should be displayed
		[ ] // Result 12: Verify Edit style closes and item list displayed
		[ ] // Result 13: Verify new style Item added
		[ ] // Result 14: Verify Confirmation dialog displayed with correct message
		[ ] // Result 15: Verify Confirmation dialog displayed with correct message
		[ ] // Result 16: Verify Information dialog displayed with correct message
		[ ] // Result 17: Verify style Items edited
[ ] // TESTCASE.:ModifyQtyFromStyleGrid
[ ] // ATC ID::POS_SALE_ATC_060
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ModifyQtyFromStyleGrid.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ModifyQtyFromStyleGrid () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sOHQty2, sOHQty3, sOHQty4
		[ ] ItemStyleRec isrStyle1, isrStyle2, isrStyle3, isrStyle4
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected, lsAttributesExpected, lsSizesExpected
		[ ] LIST OF ItemStyleRec lisrStyle = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] isrStyle1.sAttribute = "White"
		[ ] isrStyle1.sSize = "XL"
		[ ] isrStyle2.sAttribute = "Black"
		[ ] isrStyle2.sSize = "XL"
		[ ] isrStyle3.sAttribute = "White"
		[ ] isrStyle3.sSize = "XXL"
		[ ] isrStyle4.sAttribute = "Black"
		[ ] isrStyle4.sSize = "XXL"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an item for edit having OH Qty
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "Shirt"
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify only one item present for style
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] lsItemsExpected = {...}
				[ ] "7 Shirt Garments_T Cotton Shirts White XL 280.00 49 ST1 0000000001007 49"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] // Step 2: Open the item for edit having OH Qty and click on Style
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 2: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 3: Set OH Qty  as '0' for a style combi and press enter
			[ ] sOHQty2 = "0"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle2, sOHQty2, "Enter")
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 3: Verify the OH qty is set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle2), sOHQty2, "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 4: Click on Save
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 4: Verify new style Item added
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] // lsItemsExpected = {...}
				[ ] // "7 Shirt Garments_T Cotton Shirts {isrStyle1.sAttribute} {isrStyle1.sSize} 280.00 49 ST1 0000000001007 49"
				[ ] // "30 Shirt Garments_T Cotton Shirts {isrStyle2.sAttribute} {isrStyle2.sSize} 280.00 {sOHQty2} ST1 0000000001007 {sOHQty2}"
			[+] lsItemsExpected = {...}
				[ ] "30 Shirt Garments_T Cotton Shirts Black XL 280.00 0 0"
				[ ] "7 Shirt Garments_T Cotton Shirts White XL 280.00 49 ST1 0000000001007 49"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] //  Step 5: Open the item for edit and click on Style
			[ ] nirItem.sAttribute = isrStyle2.sAttribute
			[ ] nirItem.sSize = isrStyle2.sSize
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 5: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 6: Set OH Qty for a style combi and press Tab
			[ ] sOHQty3 = "20"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle3, sOHQty3, "Tab")
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 6: Verify the OH qty is set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle3), sOHQty3, "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 7: Click on Save
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 7: Verify new style Item added
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] // lsItemsExpected = {...}
				[ ] // "7 Shirt Garments_T Cotton Shirts {isrStyle1.sAttribute} {isrStyle1.sSize} 280.00 49 ST1 0000000001007 49"
				[ ] // "30 Shirt Garments_T Cotton Shirts {isrStyle2.sAttribute} {isrStyle2.sSize} 280.00 {sOHQty2} ST1 0000000001007 {sOHQty2}"
				[ ] // "31 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty3} ST1 0000000001007 {sOHQty3}"
			[+] lsItemsExpected = {...}
				[ ] "31 Shirt Garments_T Cotton Shirts White XXL 280.00 20 20"
				[ ] "30 Shirt Garments_T Cotton Shirts Black XL 280.00 0 0"
				[ ] "7 Shirt Garments_T Cotton Shirts White XL 280.00 49 ST1 0000000001007 49"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] //  Step 8: Open the item for edit and click on Style
			[ ] nirItem.sAttribute = isrStyle3.sAttribute
			[ ] nirItem.sSize = isrStyle3.sSize
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 8: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 9: Set OH Qty for a style combi and press Esc
			[ ] sOHQty4 = "30"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle4, sOHQty4, "Esc")
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 9: Verify the OH qty is not set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle4), "", "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 10: Click on Save
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 10: Verify new style not Item added
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] // lsItemsExpected = {...}
				[ ] // "7 Shirt Garments_T Cotton Shirts {isrStyle1.sAttribute} {isrStyle1.sSize} 280.00 49 ST1 0000000001007 49"
				[ ] // "30 Shirt Garments_T Cotton Shirts {isrStyle2.sAttribute} {isrStyle2.sSize} 280.00 {sOHQty2} ST1 0000000001007 {sOHQty2}"
				[ ] // "31 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty3} ST1 0000000001007 {sOHQty3}"
			[+] lsItemsExpected = {...}
				[ ] "31 Shirt Garments_T Cotton Shirts White XXL 280.00 20 20"
				[ ] "30 Shirt Garments_T Cotton Shirts Black XL 280.00 0 0"
				[ ] "7 Shirt Garments_T Cotton Shirts White XL 280.00 49 ST1 0000000001007 49"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] //  Step 11: Open the item for edit and click on Style
			[ ] nirItem.sAttribute = isrStyle3.sAttribute
			[ ] nirItem.sSize = isrStyle3.sSize
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 11: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 12: Set OH Qty for a style combi and click on Save
			[ ] sOHQty4 = "30"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle4, sOHQty4, "Save")
		[ ] 
		[+] // Result 12: Verify Edit style closes and item list displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (2), FALSE, "Edit Style closes")
		[ ] 
		[+] // Result 13: Verify new style Item added
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] // lsItemsExpected = {...}
				[ ] // "7 Shirt Garments_T Cotton Shirts {isrStyle1.sAttribute} {isrStyle1.sSize} 280.00 49 ST1 0000000001007 49"
				[ ] // "30 Shirt Garments_T Cotton Shirts {isrStyle2.sAttribute} {isrStyle2.sSize} 280.00 {sOHQty2} ST1 0000000001007 {sOHQty2}"
				[ ] // "31 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty3} ST1 0000000001007 {sOHQty3}"
				[ ] // "32 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty4} ST1 0000000001007 {sOHQty4}"
			[+] lsItemsExpected = {...}
				[ ] "31 Shirt Garments_T Cotton Shirts White XXL 280.00 20 20"
				[ ] "32 Shirt Garments_T Cotton Shirts Black XXL 280.00 30 30"
				[ ] "7 Shirt Garments_T Cotton Shirts White XL 280.00 49 ST1 0000000001007 49"
				[ ] "30 Shirt Garments_T Cotton Shirts Black XL 280.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] //  Step 13: Open the item for edit and click on Style
			[ ] nirItem.sAttribute = isrStyle3.sAttribute
			[ ] nirItem.sSize = isrStyle3.sSize
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Step 14: Delete the attribute label having OHQty
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel (isrStyle4.sAttribute, "", FALSE,  "Tab")
		[ ] 
		[+] // Result 14: Verify Confirmation dialog displayed with correct message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "You have cleared the label for the selected size or attribute. Removing this label will not delete the items from inventory, but will clear the size or attribute associated with the items."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To clear size or attribute label, select ""Clear Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 15: Click on Clear Size Attribute
			[ ] Items.Confirmation.ClearSizeAttributeLabel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Step 16: Delete the attribute label having OHQty
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel (isrStyle3.sAttribute, "", FALSE,  "Tab")
		[ ] 
		[+] // Result 15: Verify Confirmation dialog displayed with correct message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "You have cleared the label for the selected size or attribute. Removing this label will not delete the items from inventory, but will clear the size or attribute associated with the items."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To clear size or attribute label, select ""Clear Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 17: Click on Clear Size Attribute
			[ ] Items.Confirmation.ClearSizeAttributeLabel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Step 18: Change the <Blank> Attribute to some value
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel ("Blank", isrStyle4.sAttribute, FALSE,  "Tab")
		[ ] 
		[+] // Result 16: Verify Information dialog displayed with correct message
			[ ] VerifySafely (Items.Information.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "Cannot change this label. Style has multiple items with same size or attribute. Changing the label will create duplicates which are not permitted."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 19: Click on OK and then save
			[ ] Items.Information.OK.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 17: Verify style Items edited
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] // lsItemsExpected = {...}
				[ ] // "7 Shirt Garments_T Cotton Shirts {isrStyle1.sAttribute} {isrStyle1.sSize} 280.00 49 ST1 0000000001007 49"
				[ ] // "30 Shirt Garments_T Cotton Shirts {isrStyle2.sAttribute} {isrStyle2.sSize} 280.00 {sOHQty2} ST1 0000000001007 {sOHQty2}"
				[ ] // "31 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty3} ST1 0000000001007 {sOHQty3}"
				[ ] // "32 Shirt Garments_T Cotton Shirts {isrStyle3.sAttribute} {isrStyle3.sSize} 280.00 {sOHQty4} ST1 0000000001007 {sOHQty4}"
			[+] lsItemsExpected = {...}
				[ ] "31 Shirt Garments_T Cotton Shirts XXL 280.00 20 20"
				[ ] "32 Shirt Garments_T Cotton Shirts XXL 280.00 30 30"
				[ ] "7 Shirt Garments_T Cotton Shirts XL 280.00 49 ST1 0000000001007 49"
				[ ] "30 Shirt Garments_T Cotton Shirts XL 280.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Style Items edited ")
	[ ] 
	[+] // CLEANUP
		[ ] // Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
