﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete an Layaway
	[+] // Test Steps.
		[ ] // 1. Invoke Layaway List (Result 1)
		[ ] // 2. Select the Layaway to be deleted
		[ ] // 3. Go to I Want To-> Delete (Result 2)
		[ ] // 4. Click on cancel (Result 3)
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete (Result 4)
		[ ] // 6. Click on Delete (Result 5)
	[+] // Expected Result.
		[ ] // 1. Verify Layaway List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the Layaway has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the Layaway has been deleted
[ ] // TESTCASE::DeleteLayaway
[ ] // ATC ID::POS_SALE_ATC_052
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DeleteLayaway.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DeleteLayaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Layaway List is didplayed
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "Layaway List is displayed")
		[ ] 
		[+] // Step 2: Select the Layaway to be deleted
			[ ] sLayawayNum = "1"
			[ ] LayawayList.SelectLayaway (sLayawayNum)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] LayawayList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteLayaway.Exists (3), TRUE, "Delete Layaway displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeleteLayaway.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the Layaway has not been deleted
			[ ] LayawayList.ToolBar.FindLayaway.SetText (sLayawayNum)
			[ ] LayawayList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindLayaway.SelectLayaway.IsEnabled (), TRUE, "Layaway has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Clik on Close and then Go to I Want To-> Delete
			[ ] FindLayaway.Close.Click ()
			[ ] LayawayList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteLayaway.Exists (3), TRUE, "Delete Layaway displayed")
		[ ] 
		[+] // Step 6: Click on Delete
			[ ] DeleteLayaway.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the Layaway has been deleted
			[ ] LayawayList.ToolBar.FindLayaway.SetText (sLayawayNum)
			[ ] LayawayList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindLayaway.SelectLayaway.IsEnabled (), FALSE, "Layaway has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if FindLayaway.Exists (3)
			[ ] FindLayaway.Close.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
