﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: take deposit for a Layaway
	[+] // Test Steps:
		[ ] // 1. Invoke New Layaway (Result 1)
		[ ] // 2. Enter the details (Result 2)
		[ ] // 3. Go to IWT->Take Dpeosit (Result 3)
		[ ] // 4. Enter the amount and click OK (Result 4)
		[ ] // 5. Complete the payment and save
		[ ] // 6. Invoke Layaway List (Result 5)
		[ ] // 5. Open the Layaway (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Layaway is open
		[ ] // 2. Verify the deposit balance anf balce due are 0
		[ ] // 3. Verify Deposit payment dialog is open
		[ ] // 4. Verify Deposit payemnt dialog is open
		[ ] // 5.  Verify LayawayList is open
		[ ] // 6. Verify edit Layaway is deposit balnce and balance due are updated
[ ] // TESTCASE::SaleLayawayrderIWTTakeDeposit
[ ] // ATC ID::POS_SALE_ATC_053
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::LayawayIWTTakeDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase LayawayIWTTakeDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corLA
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Layaway
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Layaway is open
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corLA = {}
			[ ] corLA.ldir = {}
			[ ] corLA.sLayawayNum = Layaway.NewLayaway.PageList.LayawayNum.GetText ()
			[ ] corLA.sCustomer = "Cust1L, Cust1F"
			[+] corLA.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] CreateLayaway (corLA)
			[ ] corLA.sTotal = Layaway.NewLayaway.PageList.Total.GetTextFromDisabled ()
		[ ] 
		[+] // Result 2: Verify the deposit balance anf balce due are 0
			[ ] VerifySafely (Layaway.NewLayaway.PageList.DepositBalance.GetTextFromDisabled (), "$0.00", "Initial deposit is $0.00")
		[ ] 
		[+] // Step 3: Go to IWT->Take Dpeosit
			[ ] Layaway.Typekeys ("<Alt-O-T>")
		[ ] 
		[+] // Result 3: Verify Deposit payment dialog is open
			[ ] VerifySafely (TakeDeposit.Exists (5), TRUE, "Deaposit payment dialog is displayed")
		[ ] 
		[+] // Step 4: Enter the amount and click OK
			[ ] corLA.sDepositBalance = "10.00"
			[ ] TakeDeposit.DepositAmount.SetText (corLA.sDepositBalance)
			[ ] TakeDeposit.OK.Click ()
		[ ] 
		[+] // Result 4: Verify Deposit payemnt dialog is open
			[ ] VerifySafely (DepositPayment.Exists (3), TRUE, "Depasit payment dialog is open")
		[ ] 
		[+] // Step 5: Complete the payment and save
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[ ] 
		[+] // Step 6: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 5:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 7: Open the SO
			[ ] LayawayList.OpenLayawayForEdit (corLA.sLayawayNum)
		[ ] 
		[+] // Result 6: Verify edit Layaway is deposit balnce and balance due are updated
			[ ] VerifySafely (Layaway.EditLayaway.Exists (4), TRUE, "Edit Layaway is open")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.DepositBalance.GetTextFromDisabled (), "${corLA.sDepositBalance}", "Status of  Layaway is open")
			[ ] VerifySafely (GetValueFromDollar (Layaway.EditLayaway.PageList.BalanceDue.GetTextFromDisabled ()), GetValueFromDollar (corLA.sTotal) - val (corLA.sDepositBalance ), "Balance Due amount of SO is updated")
		[ ] 
		[+] // Step 8: Go to IWT->Payment history
			[ ] Layaway.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 7: Verify Deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 9: Click on Deposit payment
			[ ] Deposits.DepositPayment.Click ()
		[ ] 
		[+] // Result 8: Verify Take Deposit dialog displayed
			[ ] VerifySafely (TakeDeposit.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 10: Go ti IWT->Payment history
			[ ] TakeDeposit.Cancel.Click ()
			[ ] Layaway.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 9: Verify deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 11: Click on Refund
			[ ] Deposits.Refund.Click ()
		[ ] 
		[+] // Result 10: Verify refund dialog displayed
			[ ] VerifySafely (Refund.Exists (3), TRUE, "Payment history dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] Refund.No.Click ()
		[+] if Layaway.EditLayaway.Exists ()
			[ ] Layaway.BottomBar.Close.Click ()
		[-] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
