#Script: ConfigureSilk_POS.pl
#Author: Chiranjeev Banerjee
#Description: This script configures Silk for POS
#Owner: POS Automation team

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
 }

use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;

# 

my $product = "";
my $ProgramDir = "Program Files";
if ( -d "C:\\Program Files (x86)")
{
	$ProgramDir = "Program Files (x86)";
}
my $SilkDir = "C:\\$ProgramDir\\Silk\\SilkTest";
my $ConfigDir = "C:\\QAP\\POS\\Config\\";
#print $tee "\n\n******* Configuring silk started " . localtime() . "********\n\n";

system ("xcopy /Y \"C:\\QAP\\POS\\Config\\Partner.ini\" \"$SilkDir\"");
system ("xcopy /Y \"C:\\QAP\\POS\\Config\\Extend.ini\" \"$SilkDir\"");
system ("xcopy /Y \"C:\\QAP\\POS\\Config\\textract.ini\" \"$SilkDir\"");
system ("xcopy /Y \"C:\\QAP\\POS\\Config\\Textract.Pat\" \"$SilkDir\"");

exit (0);

