﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Assembly item  in server and verify item created in client
	[+] // Test Steps:
		[ ] // 1: Invoke Item List
		[ ] // 2: Build Assemblies
	[+] // Expected Result:
		[ ] // 1: Verify Item qty
[ ] // TESTCASE::CLT_BuildAssembly
[ ] // ATC ID::POS_CS_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_BuildAssembly.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_BuildAssembly () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item qty
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] nirItem1 = GetItemDataFromDetail (nirItem1)
			[ ] nirItem2 = GetItemDataFromDetail (nirItem2)
			[ ] VerifySafely (nirItem1.sAvailableQty, "46", "Qty updated")
			[ ] VerifySafely (nirItem2.sAvailableQty, "46", "Qty updated")
		[ ] 
		[+] // Step 2: Build Assemblies
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "AsmbItem"
			[ ] BuildAssemblies (nirItem1, "2")
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
