﻿[ ] 
[+] testcase CLT_ConcurrentCustomerEdit () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncrCust = {}
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open Item for edit and start editing
			[ ] ncrCust.sLastName = "Cust1L"
			[ ] ncrCust.sPhone = "9876543219"
			[ ] OpenCustomerForEdit (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.ContactInfo.Phone.SetData ("130")
			[ ] Customers.CustomerList.EditCustomer.Typekeys ("<Tab>")
		[+] // Result 1: Verify Item is locked for edit
			[ ] sMessage = "The data you are trying to modify is in use"
			[ ] VerifySafely (Customers.Information.VerifyMessage (sMessage), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close Item and wait for server to finish
			[ ] Customers.Information.OK.Click ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[+] if Customers.Confirmation.Yes.Exists (3)
				[ ] Customers.Confirmation.Yes.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open Customer for edit and start editing
			[ ] OpenCustomerForEdit (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.FillForm (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.Typekeys ("<Tab>")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close Item
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[+] if Customers.Confirmation.Yes.Exists (3)
				[ ] Customers.Confirmation.Yes.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
