﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open SO for edit and try editing
		[ ] // 2: Wait for client to finish
		[ ] // 3. Click OK , close SO and wait for server to finish
		[ ] // 4.Close SO
	[+] // Expected Result:
		[ ] // 1: Verify SO is locked for editing
[ ] // TESTCASE::CLT_ConcurrentLayawayEdit
[ ] // ATC ID::POS_CS_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentLayawayEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentLayawayEdit () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corLayaway
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open Layaway for edit and try editing
			[ ] corLayaway.sLayawayNum = "1"
			[ ] LayawayList.LayawayList.Invoke ()
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
			[ ] Layaway.EditLayaway.PageList.LayawayNum.Click ()
			[ ] Layaway.EditLayaway.PageList.LayawayNum.Typekeys ("8")
		[+] // Result 1: Verify Layaway is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close Layaway and wait for server to finish
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] Layaway.BottomBar.Close.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open Layaway for edit and start editing
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
			[ ] Layaway.EditLayaway.PageList.LayawayNum.SetText ("9")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close Layaway
			[ ] Layaway.BottomBar.Cancel.Click ()
			[+] if LayawayInProgress.Exists (3)
				[ ] LayawayInProgress.Yes.Click ()
			[ ] LayawayList.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
