﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open SO for edit and try editing
		[ ] // 2: Wait for client to finish
		[ ] // 3. Click OK , close SO and wait for server to finish
		[ ] // 4.Close SO
	[+] // Expected Result:
		[ ] // 1: Verify SO is locked for editing
[ ] // TESTCASE::CLT_ConcurrentSOEdit
[ ] // ATC ID::POS_CS_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentSOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentSOEdit () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open SO for edit and try editing
			[ ] corSO.sSONum = "1"
			[ ] SOList.SalesOrderList.Invoke ()
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.Click ()
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.Typekeys ("8")
		[+] // Result 1: Verify SO is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close SO and wait for server to finish
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] SalesOrder.BottomBar.Close.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open so for edit and start editing
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.SetText ("9")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close SO
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[+] if SalesOrderInProgress.Exists (3)
				[ ] SalesOrderInProgress.Yes.Click ()
			[ ] SOList.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
