﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a customer in server and verify customer is deleted on client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Customer List
		[ ] // Step 2: Select customer "Cust2L"
		[ ] // Step 3: Delete the customer "Cust2L"
	[+] // Expected Result:
		[ ] // Result 1: Verify the customer deleted at server is not present in the customer list
[ ] // TESTCASE::CLT_DeleteCustomer
[ ] // ATC ID::POS_CS_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_DeleteCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_DeleteCustomer () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 1: Verify the customer deleted at server is not present in the customer list
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sLastName = "Cust1L"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, False, "Edit button is not active")
		[ ] 
		[+] // Step 2: Select customer "Cust2L"
			[ ] ncrCust1.sLastName = "Cust2L"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
		[ ] 
		[+] // Step 3: Delete the customer "Cust2L"
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Delete.Click ()
			[ ] WaitFor (Customers.Confirmation, 10)
			[ ] Customers.Confirmation.Delete.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
