﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a department  in server and verify department not avialable on client and vice versa
	[+] // Test Steps:
		[ ] // 1: Delete a Department
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify department  deleted on server is not avilable
[ ] // TESTCASE::CLT_DeleteDepartment
[ ] // ATC ID::POS_CS_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_DeleteDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_DeleteDepartment () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify department  deleted on server is not avilable
			[ ] ndrDept.sDeptName = "Sports"
			[ ] Departments.DepartmentList.Invoke ()
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDept.sDeptName)
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, FALSE, "Select Department button is disabled")
		[ ] 
		[+] // Step 1: Delete an item a new item
			[ ] ndrDept.sDeptName = "Garments"
			[ ] DeleteDepartment (ndrDept)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Departments.DepartmentList.TopBar.Home.Exists (3)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
