﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a department  in server and verify department edited in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Edit a department 
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1:Verify department edited on server
[ ] // TESTCASE::CLT_EditDepartment
[ ] // ATC ID::POS_CS_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_EditDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_EditDepartment () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept1
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify department edited on server
			[ ] ndrDept1 = {}
			[ ] ndrDept1.sDeptName = "Sports"
			[ ] ndrDept1.sDeptCode = "DSS"
			[ ] VerifyDepartmentsData (ndrDept1)
		[ ] 
		[+] // Step 1: Edit a department 
			[ ] ndrDept1.sDeptCode = "DSC"
			[ ] Departments.DepartmentList.Invoke ()
			[ ] Departments.DepartmentList.OpenDepartmentForEdit (ndrDept1.sDeptName)
			[ ] // Departments.DepartmentList.TopBar.Edit.Click ()
			[ ] // WaitFor(Departments.DepartmentList.EditDepartment)
			[ ] Departments.DepartmentList.EditDepartment.FillForm (ndrDept1)
			[ ] Departments.DepartmentList.EditDepartment.Save.Click ()
			[ ] 
			[+] if Departments.DepartmentList.Exists ()
				[ ] Departments.DepartmentList.TopBar.Home.CLick ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
[ ] 
