﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a Inventory item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Edit an item a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify Item is edited on client
[ ] // TESTCASE::CLT_EditGroupItem
[ ] // ATC ID::POS_CS_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_EditGroupItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_EditGroupItem () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify Item edited on server
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "GrpItem1"
			[ ] nirItem1.sRegularPrice = "125.00"
			[ ] VerifyItemData (nirItem1)
		[ ] 
		[+] // Step 1: Edit an item a new item
			[ ] nirItem1.sRegularPrice = "130.00"
			[ ] OpenItemForEdit (nirItem1)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem1)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
