﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a vendor on server and verify vendor edits in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke vendor List
		[ ] // Step 2: Edit the same vendor
	[+] // Expected Result:
		[ ] // Result 1: Verify vendor edited on server
[ ] // TESTCASE::CLT_EditVendor
[ ] // ATC ID::POS_CS_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_EditVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_EditVendor () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor1, nvrVendor2
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 2: Verify vendor edited on server
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sCompany = "PVendor1"
			[ ] nvrVendor1.sLastName = "SrvVenL1"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetText (nvrVendor1.sCompany)
			[ ] WaitTill(Vendors.VendorList.Topbar.Edit.IsEnabled)
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
			[ ] VerifyVendorsData (nvrVendor1)
		[ ] 
		[+] // Step 2: Edit the same vendor
			[ ] nvrVendor1.sLastName = "CltVenL1"
			[ ] Vendors.VendorList.EditVendor.ScrollViewer.ContactInfo.Last.SetData (nvrVendor1.sLastName)
			[ ] Vendors.VendorList.EditVendor.Save.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
