﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new department  in server and verify department created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify Item is created on client
[ ] // TESTCASE::SRV_AddDepartment
[ ] // ATC ID::POS_CS_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_AddDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_AddDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec nirDept1, nirDept2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new item
			[ ] nirDept1 = {}
			[ ] nirDept1.sDeptName = "SRVD1"
			[ ] nirDept1.sDeptCode = "DS1"
			[ ] CreateNewDepartment (nirDept1)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify Item is created on client
			[ ] nirDept2 = {}
			[ ] nirDept2.sDeptName = "CLTD1"
			[ ] Departments.DepartmentList.Invoke ()
			[ ] VerifyDepartmentsAdded (nirDept2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Departments.DepartmentList.Exists (1)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
