﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Service item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify Item is created on client
[ ] // TESTCASE::SRV_AddServiceItem
[ ] // ATC ID::POS_CS_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_AddServiceItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_AddServiceItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new item
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "SrvSvcItem"
			[ ] nirItem1.sDepartment = "System"
			[ ] nirItem1.sItemType = "Service"
			[ ] nirItem1.sRegularPrice = "120.00"
			[ ] nirItem1.sAvgUnitCost = "60.00"
			[ ] CreateNewItem (nirItem1)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify Item is created on client
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "CltSvcItem"
			[ ] VerifyItemAdded (nirItem2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
