﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Assembly item  in server and verify item created in client
	[+] // Test Steps:
		[ ] // Step 1: Build assemblies for an existing assembly item
		[ ] // Step 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // Result 1:  Verify component item qtys
[ ] // TESTCASE::SRV_BuildAssembly
[ ] // ATC ID::POS_CS_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_BuildAssembly.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_BuildAssembly () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirAsmbItem, nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Build assemblies for an existing assembly item
			[ ] nirAsmbItem = {}
			[ ] nirAsmbItem.sItemName = "AsmbItem"
			[ ] Items.ItemsList.Invoke ()
			[ ] BuildAssemblies (nirAsmbItem, "2")
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify component item qtys
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] nirItem1 = GetItemDataFromDetail (nirItem1)
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] nirItem2 = GetItemDataFromDetail (nirItem2)
			[ ] VerifySafely (nirItem1.sAvailableQty, "44", "Qty updated")
			[ ] VerifySafely (nirItem2.sAvailableQty, "44", "Qty updated")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
