﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify company file can not be created while client is connected to server
	[+] // Test Steps:
		[ ] // 1: Go to company operations->Start new company->Create
	[+] // Expected Result:
		[ ] // 1:Verify OtherProgramsStillConnected dialog appears and new company can not be created
[ ] // TESTCASE::SRV_CompanyOperationRestrictions
[ ] // ATC ID::POS_CS_ATC_033
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_CompanyOperationRestrictions.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_CompanyOperationRestrictions ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCompanyName
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to company operations->Start new company->Create
			[ ] sCompanyName = "POS_Serv1"
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.CompanyOperations.Click ()
			[ ] QuickBooksPointOfSale.StartCompany.CreateNewCompany.Click ()
			[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
			[ ] QuickBooksPointOfSale.CreateNewCompany.NewCompanyName.SetData (sCompanyName)
			[ ] QuickBooksPointOfSale.CreateNewCompany.Create.Click ()
		[+] // Result 1: Verify OtherProgramsStillConnected dialog appears and new company can not be created
			[ ] VerifySafely (OtherProgramsStillConnected.Exists (3), TRUE, "New company can not be created while client is connected")
	[ ] 
	[+] // CLEAN UP
		[ ] OtherProgramsStillConnected.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] QuickBooksPointOfSale.CreateNewCompany.Exit.Click ()
[ ] 
