﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an SO for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the SO and wait for client to finish
		[ ] // 4.Open so for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item created on server
[ ] // TESTCASE::SRV_ConcurrentDeptEdit
[ ] // ATC ID::POS_CS_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentDeptEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentDeptEdit ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
		[ ] // SetClientTransactionStatus ("START")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an Dept for Edit
			[ ] ndrDept.sDeptName = "SPORTS"
			[ ] DepartmentList.DepartmentList.Invoke ()
			[ ] DepartmentList.OpenDepartmentForEdit (ndrDept.sDeptName)
			[ ] Department.EditDepartment.PageList.DeptCode.SetText ("SP1")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the Dept and wait for client to finish
			[ ] Department.BottomBar.Cancel.Click ()
			[+] if DepartmentInProgress.Exists (3)
				[ ] DepartmentInProgress.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open Dept for edit and start editing
			[ ] DepartmentList.OpenDepartmentForEdit (ndrDept.sDeptName)
			[ ] Department.EditDepartment.PageList.DeptCode.Click ()
			[ ] Department.EditDepartment.PageList.DeptCode.Typekeys ("A")
		[+] // Result 1: Verify Item created on server
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
			[ ] 
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] Department.BottomBar.Close.Click ()
		[ ] DepartmentList.BottomBar.Close.Click () 
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
