﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an SO for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the SO and wait for client to finish
		[ ] // 4.Open so for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item created on server
[ ] // TESTCASE::SRV_ConcurrentLayawayEdit
[ ] // ATC ID::POS_CS_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentLayawayEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentLayawayEdit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corLayaway
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
		[ ] SetClientTransactionStatus ("START")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an Layaway for Edit
			[ ] corLayaway.sLayawayNum = "1"
			[ ] LayawayList.LayawayList.Invoke ()
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
			[ ] Layaway.EditLayaway.PageList.LayawayNum.SetText ("9")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the Layaway and wait for client to finish
			[ ] Layaway.BottomBar.Cancel.Click ()
			[+] if LayawayInProgress.Exists (3)
				[ ] LayawayInProgress.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open Layaway for edit and start editing
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
			[ ] Layaway.EditLayaway.PageList.LayawayNum.Click ()
			[ ] Layaway.EditLayaway.PageList.LayawayNum.Typekeys ("8")
		[+] // Result 1: Verify Item created on server
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
			[ ] 
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] Layaway.BottomBar.Close.Click ()
		[ ] LayawayList.BottomBar.Close.Click () 
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
