﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit a department  in server and verify department edited in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Edit a deaprtment
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify department edited on client
[ ] // TESTCASE::SRV_EditDepartment
[ ] // ATC ID::POS_CS_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_EditDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_EditDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDept1
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Edit a deaprtment
			[ ] ndrDept1 = {}
			[ ] ndrDept1.sDeptName = "Sports"
			[ ] ndrDept1.sDeptCode = "DSS"
			[ ] DepartmentList.DepartmentList.Invoke ()
			[ ] DepartmentList.OpenDepartmentForEdit (ndrDept1.sDeptName)
			[ ] Department.EditDepartment.FillForm (ndrDept1)
			[ ] Department.BottomBar.Save.Click ()
			[ ] Wait (5)
			[ ] DepartmentList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify department edited on client
			[ ] ndrDept1.sDeptCode = "DSC"
			[ ] VerifyDepartmentData (ndrDept1)
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if DepartmentList.DepartmentList.Exists (3)
			[ ] DepartmentList.BottomBar.Close.Click ()
[ ] 
