﻿[ ] 
[+] testcase SetupServer () appstate none
	[+] // START
		[ ] SetupCSShare ()
		[ ] RefreshCSEnvFile ()
		[ ] SetServerSetupStatus ("INPROGRESS")
	[+] // VARIABLES
		[ ] STRING sNewCompanyName, sCmd
		[ ] sNewCompanyName = "POSNew"
	[+] // STEPS
		[ ] Sleep (iTimeOut/6)  // This sleep statement is required for launching of Open Agent for first time (can not be replaced by WaitFor)
		[ ] sCmd = GetPOSExe ()
		[ ] APP_Start (sCmd)
		[+] if WaitFor (POSUpdaterO, iTimeOut)
			[ ] POSUpdaterO.DoNotCheckNow.Click ()
			[ ] Print ("POSUpadter dialog box appeared, Clicked on Do Not Check Now")
		[+] // if WaitFor (POSUpdaterC, iTimeOut/12)
			[ ] // POSUpdaterC.DoNotCheckNow.Click ()
			[ ] // Print ("POSUpadter dialog box appeared, Clicked on Do Not Check Now")
		[+] if WaitFor (UpdaterPreferencesO,iTimeOut/12)
			[ ] UpdaterPreferencesO.DoNotNotify.Click ()
			[ ] UpdaterPreferencesO.OK.Click ()
			[ ] Print ("UpdaterPreferences dialog appeared, DoNotNotify selected")
		[+] if !SYS_DirExists (GetPOSDataPath ())
			[+] if WaitFor (QuickBooksPointOfSale.StartCompany,iTimeOut/12)
				[ ] QuickBooksPointOfSale.StartCompany.CreateNewCompany.Select ()
				[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
				[ ] VerifySafely (QuickBooksPointOfSale.CreateNewCompany.Exists (), TRUE, "Create New Company dialog appears")
				[ ] QuickBooksPointOfSale.CreateNewCompany.NewCompanyName.SetData (sNewCompanyName)
				[ ] QuickBooksPointOfSale.CreateNewCompany.Create.Click ()
				[ ] WaitGone (QuickBooksPointOfSale.CreateNewCompany.NewCompanyCreation, iTimeOut*2)
				[+] if QuickBooksPointOfSale.LoggingIn.Exists (5)
					[ ] WaitGone (QuickBooksPointOfSale.LoggingIn, iTimeOut*2)
			[+] if WaitFor (RegisterQBPOSC, iTimeOut)
				[+] switch (GetGuiType ())
					[+] case mswxp, mswxp64
						[ ] RegisterQBPOSC.SetActive ()
					[+] case mswvista, mswvista_64
						[ ] RegisterQBPOSC.SetActive ()
					[+] case mswin7, mswin7_64
						[+] do
							[ ] RegisterQBPOSC.SetActive ()
						[+] except
							[ ] Print ("**********************Inside Except**********************")
							[ ] RegisterQBPOSC.Click (1, 5, 5)
					[+] // case mswin8, mswin8_64
						[+] // do
							[ ] // RegisterQBPOSC.SetActive ()
						[+] // except
							[ ] // Print ("**********************Inside Except**********************")
							[ ] // RegisterQBPOSC.Click (1, 5, 5)
				[ ] RegisterQBPOSC.SetActive ()
				[ ] // RegisterQBPOSC.RemindMeLater.Click ()
				[ ] RegisterPOS ()
				[ ] Print ("RegisterQBPOS dialog appeared, Remind Me later selected")
			[+] if WaitFor (WelcomeScreen, iTimeOut/2)
				[ ] WelcomeScreen.SetActive ()
				[ ] Sleep (2)
				[ ] WelcomeScreen.ShowThisAtStart.Uncheck ()
				[ ] Sleep (2)
				[ ] WelcomeScreen.Close.Click ()
				[ ] WaitGone (WelcomeScreen)
			[+] if WaitFor (QuickBooksPointOfSale.SetupInterview.Done,iTimeOut/2)
				[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut)
			[ ] WaitUntill (QuickBooksPointOfSale.Dashboard.SideBar.ScrollViewer.SideButtons.EndOfDay, "IsEnabled", TRUE, iTimeOut)
			[ ] QuickBooksPointOfSale.SetActive ()
		[+] else
			[+] if WaitFor (QuickBooksPointOfSale.StartCompany,iTimeOut/12)
				[ ] QuickBooksPointOfSale.StartCompany.OpenExistingComapny.Select ()
				[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
			[+] if WaitFor (QuickBooksPointOfSale.LogIn, iTimeOut/6)
				[ ] QuickBooksPointOfSale.LogIn.UserName.User.SetData ("Sysadmin")
				[ ] QuickBooksPointOfSale.LogIn.Password.SetText ("password")
				[ ] QuickBooksPointOfSale.Typekeys ("<Tab>")
				[ ] QuickBooksPointOfSale.LogIn.LogIn.Click ()
				[+] if QuickBooksPointOfSale.LogIn.Exists (5)
					[ ] WaitGone (QuickBooksPointOfSale.LogIn, iTimeOut*2)
			[+] if QuickBooksPointOfSale.LoggingIn.Exists (5)
				[ ] WaitGone (QuickBooksPointOfSale.LoggingIn, iTimeOut*2)
			[+] if WaitFor (RegisterQBPOSC, iTimeOut)
				[+] switch (GetGuiType ())
					[+] case mswxp, mswxp64
						[ ] RegisterQBPOSC.SetActive ()
					[+] case mswvista, mswvista_64
						[ ] RegisterQBPOSC.SetActive ()
					[+] case mswin7, mswin7_64
						[+] do
							[ ] RegisterQBPOSC.SetActive ()
						[+] except
							[ ] Print ("**********************Inside Except**********************")
							[ ] RegisterQBPOSC.Click (1, 5, 5)
					[+] // case mswin8, mswin8_64
						[+] // do
							[ ] // RegisterQBPOSC.SetActive ()
						[+] // except
							[ ] // Print ("**********************Inside Except**********************")
							[ ] // RegisterQBPOSC.Click (1, 5, 5)
				[ ] RegisterQBPOSC.SetActive ()
				[ ] // RegisterQBPOSC.RemindMeLater.Click ()
				[ ] RegisterPOS ()
				[ ] Print ("RegisterQBPOS dialog appeared, Remind Me later selected")
			[+] if WaitFor (WelcomeScreen, iTimeOut/2)
				[ ] WelcomeScreen.ShowThisAtStart.Uncheck ()
				[ ] WelcomeScreen.Close.Click ()
				[ ] WaitGone (WelcomeScreen)
			[ ] WaitUntill (QuickBooksPointOfSale.Dashboard.IWantTo, "IsEnabled", TRUE, iTimeOut)
			[ ] WaitUntill (QuickBooksPointOfSale.Dashboard.SideBar.ScrollViewer.SideButtons.EndOfDay, "IsEnabled", TRUE)
			[ ] QuickBooksPointOfSale.SetActive ()
		[+] if ((!SYS_FileExists (sInfoFile)) || GetSKU () == "")
			[ ] SetSKUAtInfoFile ()
		[+] if !SYS_FileExists ("C:\QAP\POS\Bitmaps\LCheckBox.bmp")
			[ ] CaptureCheckBoxBitmap ()
		[ ] Wait (30)
	[+] // Update the license on the server to support client server environment
		[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] UpdateLicenseOnServer ()
	[+] // Set the company file to MU mode
		[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
		[+] if QuickBooksPointOfSale.File.SwitchCompanyFileToMultiUserMode.exists (3)
			[ ] QuickBooksPointOfSale.File.SwitchCompanyFileToMultiUserMode.Click ()
		[+] else
			[ ] QuickBooksPointOfSale.File.CloseSubmenu ()
		[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut*3)
	[+] // Get the Server IP and Name and update the info on file at shared location
		[ ] UpdateServerInfo ()
	[+] // CLEANUP
		[ ] SetServerSetupStatus ("COMPLETE")
		[ ] WaitForClientSetupToBeCompleted (iTimeOut*45)
		[ ] SetClientSetupStatus ("NEW")
[ ] 
