﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify add, edit, delete for cloud items
	[+] // Test Steps:
		[ ] // Step 1: Create Inventory, Non Inventory, Service and assembly item with Sync checked
		[ ] // Step 2: Open new item form, add mandatory fields and with item type as group and then try to check  the Sync to mobile checkbox
		[ ] // Step 3: Click on OK, cancel
		[ ] // Step 4: Sync with cloud
		[ ] // Step 5: Go to Wentao's Tool and get item list
		[ ] // Step 6: Add items to cloud
		[ ] // Step 7: Sync with cloud
		[ ] // Step 8: Edit two items->One synced from pos and another synced to po
		[ ] // Step 9: Sync with cloud
		[ ] // Step 10: Go to Wentao's Tool and get item details
		[ ] // Step 11: Edit two items->One synced from pos and another synced to pos
		[ ] // Step 12: Sync with cloud
		[ ] // Step 13: Delete two item-> One synced from pos and another synced to pos
		[ ] // Step 14: Sync with cloud
		[ ] // Step 15: Go to Wentao's Tool and get item details
		[ ] // Step 16: Delete two item-> One synced from pos and another synced to pos
		[ ] // Step 17: Sync with cloud
		[ ] // Step 18: Edit items and uncheck Sync To Mobile
		[ ] // Step 19: Sync with cloud
	[+] // Expected Result:
		[ ] // Result 1: Verify All Items added
		[ ] // Result 2: Verify information message displayed 
		[ ] // Result 3: Verify update messages displayed on widget
		[ ] // Result 4: Verify Items added to cloud
		[ ] // Result 5: Verify update messages displayed on widget
		[ ] // Result 6 : Invoke item list and verify Items added to POS
		[ ] // Result 7: Verify update messages displayed on widget
		[ ] // Result 8: Verify items updated crrectly
		[ ] // Result 9: Verify update messages displayed on widget
		[ ] // Result 10 : Invoke item list and verify Items updated on POS
		[ ] // Result 11: Verify update messages displayed on widget
		[ ] // Result 12: Verify items updated crrectly
		[ ] // Result 13: Verify update messages displayed on widget
		[ ] // Result 14 : Invoke item list and verify Items updated on POS
		[ ] // Result 15: Verify update messages displayed on widget
		[ ] // Result 16: Verify items updated crrectly
[ ] // TESTCASE.:CloudSync_ItemsAddEditDelete
[ ] // ATC ID::POS_CLD_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_ItemsAddEditDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_ItemsAddEditDelete ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3P, cirItem4P, cirItem5P, cirItem6C, cirItem7C, cirItem8C, cirItem9C, cirItem10C
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3P, nirItem4P, nirItem5P, nirItem6C, nirItem7C, nirItem8C, nirItem9C, nirItem10C
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud2.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] // nirItem = {}
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSItem1"
			[ ] nirItem1P.sItemType = "Inventory"
			[ ] nirItem1P.sDepartment = "System"
			[ ] nirItem1P.sRegularPrice = "100.00"
			[ ] nirItem1P.sOnHandQty = "50"
			[ ] nirItem1P.bSyncToMobile = TRUE
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSItem2"
			[ ] nirItem2P.sItemType = "Non-Inventory"
			[ ] nirItem2P.sDepartment = "System"
			[ ] nirItem2P.sRegularPrice = "100.00"
			[ ] nirItem2P.bSyncToMobile = TRUE
			[ ] nirItem3P = {}
			[ ] nirItem3P.sItemName = "POSItem3"
			[ ] nirItem3P.sItemType = "Service"
			[ ] nirItem3P.sDepartment = "System"
			[ ] nirItem3P.sRegularPrice = "100.00"
			[ ] nirItem3P.bSyncToMobile = TRUE
			[ ] nirItem4P = {}
			[ ] nirItem4P.sItemName = "POSItem4"
			[ ] nirItem4P.sItemType = "Assembly"
			[ ] nirItem4P.sDepartment = "System"
			[ ] nirItem4P.sRegularPrice = "100.00"
			[ ] nirItem4P.bSyncToMobile = TRUE
			[ ] nirItem = {}
			[ ] nirItem5P = {}
			[ ] nirItem5P.sItemName = "POSItem5"
			[ ] nirItem5P.sItemType = "Inventory"
			[ ] nirItem5P.sDepartment = "System"
			[ ] nirItem5P.sRegularPrice = "100.00"
			[ ] nirItem5P.bSyncToMobile = TRUE
			[ ] 
			[ ] nirItem6C = {}
			[ ] nirItem6C.sItemName = "CLDItem1"
			[ ] nirItem7C = {}
			[ ] nirItem7C.sItemName = "CLDItem2"
			[ ] nirItem8C = {}
			[ ] nirItem8C.sItemName = "CLDItem3"
			[ ] nirItem9C = {}
			[ ] nirItem9C.sItemName = "CLDItem4"
			[ ] nirItem10C = {}
			[ ] nirItem10C.sItemName = "CLDItem5"
			[ ] // nirItem6 = {}
			[ ] // nirItem6.sItemName = "POSItemNS1"
			[ ] // nirItem7 = {}
			[ ] // nirItem7.sItemName = "POSItemNS2"
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] // cirItem = {}
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSItem1"
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSItem2"
			[ ] cirItem3P = {}
			[ ] cirItem3P.sItemName = "POSItem3"
			[ ] cirItem4P = {}
			[ ] cirItem4P.sItemName = "POSItem4"
			[ ] cirItem5P = {}
			[ ] cirItem5P.sItemName = "POSItem5"
			[ ] 
			[ ] cirItem6C = {}
			[ ] cirItem6C.sItemName = "CLDItem1"
			[ ] cirItem6C.bUseForMobile = TRUE
			[ ] cirItem6C.sPrice = "100.00"
			[ ] cirItem7C = {}
			[ ] cirItem7C.sItemName = "CLDItem2"
			[ ] cirItem7C.bUseForMobile = TRUE
			[ ] cirItem7C.sPrice = "100.00"
			[ ] cirItem8C = {}
			[ ] cirItem8C.sItemName = "CLDItem3"
			[ ] cirItem8C.bUseForMobile = TRUE
			[ ] cirItem8C.sPrice = "100.00"
			[ ] cirItem9C = {}
			[ ] cirItem9C.sItemName = "CLDItem4"
			[ ] cirItem9C.bUseForMobile = TRUE
			[ ] cirItem9C.sPrice = "100.00"
			[ ] cirItem10C = {}
			[ ] cirItem10C.sItemName = "CLDItem5"
			[ ] cirItem10C.bUseForMobile = TRUE
			[ ] 
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create Inventory, Non Inventory, Service and assembly item with Sync checked
			[ ] CreateNewItem (nirItem1P)
			[ ] CreateNewItem (nirItem2P)
			[ ] CreateNewItem (nirItem3P)
			[ ] CreateNewItem (nirItem4P)
			[ ] CreateNewItem (nirItem5P)
		[ ] 
		[+] // Result 1: Verify All Items added
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 100.00 50 50"
				[ ] "6 POSItem2 System 100.00 0 0"
				[ ] "7 POSItem3 System 100.00 0 0"
				[ ] "8 POSItem4 System 100.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "9 POSItem5 System 100.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 2: Open new item form, add mandatory fields and with item type as group and then try to check  the Sync to mobile checkbox
			[ ] Items.ItemsList.Topbar.Add.Click ()
			[ ] Items.ItemsList.AddInventoryItem.ItemName.SetData ("GrpItem")
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Department.SetData ("System")
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Type.SelectItem ("Group")
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.Check ()
		[ ] 
		[+] // Result 2: Verify information message displayed 
			[ ] sMessage = "You cannot sync group item to mobile."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage}  displayed")
		[ ] 
		[+] // Step 3: Click on OK, cancel
			[ ] Items.Information.OK.Click ()
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
			[ ] Items.Confirmation.Yes.Click ()
		[ ] 
		[+] // Step 4: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 3: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 5, "Correct no of items added")
		[ ] 
		[+] // Step 5: Go to Wentao's Tool and get item list
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 4: Verify Items added to cloud
			[+] lsItemsExpected = {...}
				[ ] "POSItem1"
				[ ] "POSItem2"
				[ ] "POSItem3"
				[ ] "POSItem4"
				[ ] "POSItem5"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
		[ ] 
		[+] // Step 6: Add items to cloud
			[ ] AddNewItemInCloud (cirItem6C)
			[ ] AddNewItemInCloud (cirItem7C)
			[ ] AddNewItemInCloud (cirItem8C)
			[ ] AddNewItemInCloud (cirItem9C)
			[ ] AddNewItemInCloud (cirItem10C)
		[ ] 
		[+] // Step 7: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 5: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 5, "Correct no of items added")
		[ ] 
		[+] // Result 6 : Invoke item list and verify Items added to POS
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 100.00 50 50"
				[ ] "6 POSItem2 System 100.00 0 0"
				[ ] "7 POSItem3 System 100.00 0 0"
				[ ] "8 POSItem4 System 100.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "9 POSItem5 System 100.00 0 0"
				[ ] "10 CLDItem1 System 0.00 0 0"
				[ ] "11 CLDItem2 System 0.00 0 0"
				[ ] "12 CLDItem3 System 0.00 0 0"
				[ ] "13 CLDItem4 System 0.00 0 0"
				[ ] "14 CLDItem5 System 0.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 8: Edit two items->One synced from pos and another synced to po
			[ ] OpenItemForEdit (nirItem1P)
			[ ] nirItem1P.sItemName = "POSItem1Change"
			[ ] cirItem1P.sItemName = "POSItem1Change"
			[ ] nirItem1P.sRegularPrice = "95.30"
			[ ] nirItem1P.sItemDescription = "POSEditSyncedFromPOS"
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem1P)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] OpenItemForEdit (nirItem6C)
			[ ] nirItem6C.sItemName = "CLDItem1Change"
			[ ] cirItem6C.sItemName = "CLDItem1Change"
			[ ] nirItem6C.sRegularPrice = "86.40"
			[ ] nirItem6C.sItemDescription = "POSEditSyncedToPOS"
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem6C)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 9: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 7: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedOnMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedOnMobile (), 2, "Correct no of items added")
		[ ] 
		[+] // Step 10: Go to Wentao's Tool and get item details
			[ ] WebBrowser.SetActive ()
		[ ] 
		[+] // Result 8: Verify items updated crrectly
			[ ] cirItem6C = GetCloudItemDetails (cirItem6C)
			[ ] VerifySafely (cirItem6C.sDescription, nirItem6C.sItemDescription, "Item updated on cloud")
			[ ] cirItem1P = GetCloudItemDetails (cirItem1P)
			[ ] VerifySafely (cirItem1P.sDescription, nirItem1P.sItemDescription, "Item updated on cloud")
		[ ] 
		[+] // Step 11: Edit two items->One synced from pos and another synced to pos
			[ ] OpenItemForEditInCloud (cirItem1P.sItemName)
			[ ] cirItem1P.sDescription = "CLDEditSyncedToCloud"
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Description.SetText (cirItem1P.sDescription)
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Save.DomClick ()
			[ ] WaitFor (WebBrowser.BrowserPage.NewItem.RequestCompletedSuccess)
			[ ] OpenItemForEditInCloud (cirItem6C.sItemName)
			[ ] cirItem6C.sDescription = "CLDEditSyncedFromCloud"
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Description.SetText (cirItem6C.sDescription)
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Save.DomClick ()
			[ ] WaitFor (WebBrowser.BrowserPage.NewItem.RequestCompletedSuccess)
		[ ] 
		[+] // Step 12: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 9: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedInPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedInPOS (), 2, "Correct no of items added")
		[ ] 
		[+] // Result 10 : Invoke item list and verify Items updated on POS
			[+] lsItemsExpected = {...}
				[ ] "10 CLDItem1Change System CLDEditSyncedFromCloud 86.40 0 0"
				[ ] "11 CLDItem2 System 0.00 0 0"
				[ ] "12 CLDItem3 System 0.00 0 0"
				[ ] "13 CLDItem4 System 0.00 0 0"
				[ ] "14 CLDItem5 System 0.00 0 0"
				[ ] "5 POSItem1Change System CLDEditSyncedToCloud 95.30 50 50"
				[ ] "6 POSItem2 System 100.00 0 0"
				[ ] "7 POSItem3 System 100.00 0 0"
				[ ] "8 POSItem4 System 100.00 0 0"
				[ ] "9 POSItem5 System 100.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
			[ ] Items.ItemsList.Topbar.Filter.Select ("All Items")
			[ ] WaitForPageToLoad (2)
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 13: Delete two item-> One synced from pos and another synced to pos
			[ ] DeleteItem (nirItem1P)
			[ ] DeleteItem (nirItem6C)
		[ ] 
		[+] // Step 14: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 11: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedOnMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedOnMobile (), 2, "Correct no of items added")
		[ ] 
		[+] // Step 15: Go to Wentao's Tool and get item details
			[ ] WebBrowser.SetActive ()
		[ ] 
		[+] // Result 12: Verify items updated crrectly
			[ ] cirItem1P = GetCloudItemDetails (cirItem1P)
			[ ] VerifySafely (cirItem1P.sDataState, "Deleted", "Item updated on cloud")
			[ ] cirItem6C = GetCloudItemDetails (cirItem6C)
			[ ] VerifySafely (cirItem6C.sDataState, "Deleted", "Item updated on cloud")
		[ ] 
		[+] // Step 16: Delete two item-> One synced from pos and another synced to pos
			[ ] OpenItemForEditInCloud (nirItem2P.sItemName)
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.UseForMobile.Uncheck ()
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Save.DomClick ()
			[ ] WaitFor (WebBrowser.BrowserPage.NewItem.RequestCompletedSuccess)
			[ ] OpenItemForEditInCloud (cirItem7C.sItemName)
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.UseForMobile.Uncheck ()
			[ ] WebBrowser.BrowserPage.NewItem.NewItemForm.ItemTable1.Save.DomClick ()
			[ ] WaitFor (WebBrowser.BrowserPage.NewItem.RequestCompletedSuccess)
		[ ] 
		[+] // Step 17: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 13: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedInPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedInPOS (), 2, "Correct no of items added")
		[ ] 
		[+] // Result 14 : Invoke item list and verify Items updated on POS
			[ ] OpenItemForEdit (nirItem2P)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.IsChecked, FALSE, "Item updatd")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[ ] OpenItemForEdit (nirItem7C)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.IsChecked, FALSE, "Item updatd")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 18: Edit items and uncheck Sync To Mobile
			[ ] OpenItemForEdit (nirItem3P)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.Uncheck ()
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] OpenItemForEdit (nirItem8C)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.Uncheck ()
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 19: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 15: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedOnMobile.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedOnMobile (), 2, "Correct no of items added")
			[+] except
				[ ] Print ("asad")
		[ ] 
		[+] // Result 16: Verify items updated crrectly
			[ ] cirItem3P = GetCloudItemDetails (cirItem3P)
			[ ] VerifySafely (cirItem3P.bUseForMobile, FALSE, "Item updated on cloud")
			[ ] cirItem8C = GetCloudItemDetails (cirItem8C)
			[ ] VerifySafely (cirItem8C.bUseForMobile, FALSE, "Item updated on cloud")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
[ ] 
