﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an Customer
	[+] // Test Steps.
		[ ] //  1. Invoke Customer List (Result 1)
		[ ] //  2. Enter name of Customer to be copied on Search Customer fiels of Customer List
		[ ] //  3. Get the Customer data of the Customer to be copied
		[ ] //  4. Click on I Want To -> Copy (Result 2) (Result 3)
		[ ] //  5. Change the name of the Customer
		[ ] //  6. Click on save (Result 4)
		[ ] //  7. Enter name of created Customer on Search Customer fiels of Customer List
		[ ] //  8. Click on Edit (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] //  1. Verify Customer List is didplayed
		[ ] //  2. Verify Add New Customer is displayed
		[ ] //  3. Verify the Customer form is already filled with data same as the Customer which is being copied
		[ ] //  4. Verify Customer List is dispalyed
		[ ] //  5. Verify Edit Customer form is displayed
		[ ] //  6. Verify Customer data save successfully
[ ] // TESTCASE::CopyCustomer
[ ] // ATC ID::POS_CUST_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CopyCustomer ()
	[-] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCustomer, ncrCustomerCopy
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is didplayed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer List is displayed")
		[ ] 
		[-] // Step 2: Enter name of Customer to be copied on Search Customer fiels of Customer List
			[ ] ncrCustomer = {}
			[ ] ncrCustomer.sLastName = "CustL"
		[ ] 
		[-] // Step 3: Get the Customer data of the Customer to be copied
			[ ] ncrCustomer = GetCustomerData (ncrCustomer)
		[ ] 
		[-] // Step 4: Click on I Want To -> Copy
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[-] // Result 2: Verify Add New Customer is displayed
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.Exists (5), TRUE, "Add Customer form is displayed")
		[ ] 
		[-] // Result 3: Verify the Customer form is already filled with data same as the Customer which is being copied
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.LastName.GetLineText (0), ncrCustomer.sLastName, "Customer Name already filled")
		[ ] 
		[-] // Step 5: Change the name of the Customer
			[ ] ncrCustomerCopy = ncrCustomer
			[ ] ncrCustomerCopy.sLastName = "CopyCustomer"
			[ ] Customers.CustomerList.AddCustomer.LastName.SetData (ncrCustomerCopy.sLastName)
		[ ] 
		[+] // Step 6: Click on save
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Customer List is dispalyed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customers List is displayed")
		[ ] 
		[+] // Step 7: Enter name of created Customer on Search Customer fiels of Customer List
			[ ] WaitTill (Customers.CustomerList.Topbar.SearchCustomer.IsEnabled)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomerCopy.sLastName)
		[ ] 
		[-] // Step 8: Click on Edit
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 5: Verify Edit Customer form is displayed
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer form appeared")
		[ ] 
		[-] // Result 6: Verify Customer data save successfully
			[ ] VerifyCustomerData (ncrCustomerCopy)
			[ ] 
	[-] // CLEAN UP
		[+] if Customers.CustomerList.EditCustomer.Exists ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[+] // if Customers.CustomerList.Exists ()
			[ ] // Customers.CustomerList.Topbar.Home.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
