﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete an Customer
	[+] // Test Steps.
		[ ] //  1. Invoke Customer List (Result 1)
		[ ] //  2. Enter name of  Customer Customer to be deleted on Search Customer field of Customer List
		[ ] //  3. Go to I Want To-> Delete (Result 2)
		[ ] //  4. Click on cancel (Result 3)
		[ ] //  5. Go to I Want To-> Delete (Result 4)
		[ ] //  6. Click on delete (Result 5)
	[+] // Expected Result.
		[ ] //  1. Verify Customer List is didplayed
		[ ] //  2. Verify delete confirmation message is displayed
		[ ] //  3. Verify the Customer has not been deleted
		[ ] //  4. Verify delete confirmation message is displayed
		[ ] //  5. Verify the Customer has been deleted
[ ] // TESTCASE::CustomerDelete
[ ] // ATC ID::POS_CUST_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustomerDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustomerDelete ()
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncrCustomer
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is didplayed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer List is displayed")
		[ ] 
		[-] // Step 2: Enter name of  Customer Customer to be deleted on Search Customer field of Customer List
			[ ] ncrCustomer = {}
			[ ] ncrCustomer.sLastName = "CustL"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
		[ ] 
		[-] // Step 3: Go to I Want To-> Delete
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[-] // Result 2: Verify delete confirmation message is displayed
			[ ] sMessage = "You selected 1 customer to delete."
			[ ] VerifySafely (Customers.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[-] // Step 4: Click on cancel
			[ ] Customers.Confirmation.Cancel.Click ()
		[ ] 
		[-] // Result 3: Verify the Customer has not been deleted
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "Customer has not been deleted after clickin on cancel")
		[ ] 
		[-] // Step 5: Go to I Want To-> Delete
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[-] // Result 4: Verify delete confirmation message is displayed
			[ ] sMessage = "You selected 1 customer to delete."
			[ ] VerifySafely (Customers.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[-] // Step 6: Click on delete
			[ ] Customers.Confirmation.Delete.Click ()
		[ ] 
		[-] // Result 5: Verify the Customer has been deleted
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, FALSE, "Customer has been deleted after clicking on delete")
	[ ] 
	[-] // CLEAN UP
		[+] if Customers.CustomerList.EditCustomer.Exists ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
