﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing Customer
	[+] // Test Steps:
		[ ] // 1. Invoke Customers List  (Result 1)
		[ ] // 2. Enter name of Customer  to be edited on Search Customer fiels of Customer List (Result 2)
		[ ] // 3. Click on Edit (Result 3)
		[ ] // 4. Fill the Customer form with all mandatory fields
		[ ] // 5. Click on Save
		[ ] // 6. Enter name of Customer  to be edited on Search Customer fiels of Customer List (Result 4)
		[ ] // 7. Click on Edit (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify Customer List is dispalyed
		[ ] // 2. Verify Edit button is enabled
		[ ] // 3. Verify Edit Customer form is displayed
		[ ] // 4. Verify Edit button is enabled
		[ ] // 5. Verify Edit Customer form is displayed
		[ ] // 6. Verify Customer data save successfully
[ ] // TESTCASE::EditCustomer
[ ] // ATC ID::POS_CUST_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase EditCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCustomer
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
		[ ] // Sleep(5)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Customers List
			[ ] Customers.CustomerList.Invoke ()
			[ ] WaitFor (Customers.CustomerList,iTimeOut/2)
		[ ] 
		[-] // Result 1: Verify Customer List is dispalyed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customers List is displayed")
		[ ] 
		[-] // Step 2: Enter name of Customer  to be edited on Search Customer fiels of Customer List
			[ ] ncrCustomer = {}
			[ ] ncrCustomer.sLastName = "CustL"
			[ ] WaitTill (Customers.CustomerList.Topbar.SearchCustomer.IsEnabled)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
		[ ] 
		[-] // Result 2: Verify Edit button is enabled
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "Customer Created")
		[ ] 
		[-] // Step 3: Click on Edit
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 3: Verify Edit Customer form is displayed
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer form appeared")
		[ ] 
		[-] // Step 4: Fill the Customer form with all mandatory fields
			[ ] ncrCustomer = {}
			[ ] ncrCustomer.sLastName = "TestCustL"
			[ ] ncrCustomer.sFirstName = "TestCustF"
			[ ] FillCustomerForm (ncrCustomer)
		[ ] 
		[+] // Step 5: Click on Save
			[ ] Customers.CustomerList.EditCustomer.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of Customer  to be edited on Search Customer fiels of Customer List
			[ ] WaitTill (Customers.CustomerList.Topbar.SearchCustomer.IsEnabled)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
		[ ] 
		[+] // Result 4: Verify Edit button is enabled
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "Customer Created")
		[ ] 
		[+] // Step 7: Click on Edit
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Customer form is displayed
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer form appeared")
		[ ] 
		[+] // Result 6: Verify Customer data save successfully
			[ ] VerifyCustomerData (ncrCustomer)
	[ ] 
	[-] // CLEAN UP
		[+] if Customers.CustomerList.EditCustomer.Exists ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[+] // if Customers.CustomerList.Exists ()
			[ ] // Customers.CustomerList.Topbar.Home.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
[ ] 
