﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify merging customers
	[+] // Test Steps.
		[ ] //  1. Invoke Customer List (Result 1)
		[ ] //  2. Enter name of Customer to be copied on Search Customer fiels of Customer List
		[ ] //  3. Click on I Want To -> Merge (Result 2)
		[ ] //  4. Enter the second customer name and click Merge (Result 3 and 4)
	[+] // Expected Result:
		[ ] //  1. Verify Customer List is didplayed
		[ ] //  2. Verify Merge Customer dialog is displayed
		[ ] //  3. Verify Customer List is dispalyed
		[ ] //  4. Verify the Customers merged
[ ] // TESTCASE::MergeCustomer
[ ] // ATC ID::POS_CUST_ATC_009
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MergeCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase MergeCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCustomer1, sCustomer2
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is displayed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer List is displayed")
		[ ] 
		[-] // Step 2: Enter name of Customer to be merged on Search Customer fields of Customer List
			[ ] sCustomer1 = "CustL"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer1)
		[ ] 
		[-] // Step 3: Click on I Want To -> Merge
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Merge.Click ()
			[ ] 
		[-] // Result 2: Verify Merge Customer dialog is displayed
			[ ] VerifySafely (MergeCustomers.Exists (5), TRUE, "Merge Customers dialog appears")
			[ ] 
		[-] // Step 4: Enter the second customer name and click Merge
			[ ] sCustomer2 = "TestCL"
			[ ] MergeCustomers.RemoveThisDuplicate.Item.TypeKeys (sCustomer2)
			[ ] MergeCustomers.RemoveThisDuplicate.Item.TypeKeys ("<Enter>")
			[ ] MergeCustomers.MergeCustomers.Click ()
		[ ] 
		[-] // Result 3: Verify Customer List is dispalyed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customers List is displayed")
			[ ] Customers.CustomerList.Topbar.SearchCustomer.Clear ()
		[ ] 
		[-] // Result 4: Verify the Customers merged
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer1)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "{sCustomer1} customer is kept")
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer2)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, FALSE, "{sCustomer2} customer is deleted")
	[ ] 
	[-] // CLEAN UP
		[-] // if Customers.CustomerList.Exists ()
			[ ] // Customers.CustomerList.Topbar.Home.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
