﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: New employee time entry
	[+] // Test Steps:
		[ ] // 1. Invoke New Emloyee time entry
		[ ] // 2. Select a login, name and set the elapsed time and save
		[ ] // 3. Go to IWT->Run a report->Timeclock summary
		[ ] // 4. Export report to excel
	[+] // Expected Result:
		[ ] // 1. Verify Time Entry is dispalyed
		[ ] // 2. Verify time clock history is displayed
		[ ] // 3. Verify report is displayed
		[ ] // 4. Verify Item data save successfully
[ ] // TESTCASE::NewEmployeeTimeEntry
[ ] // ATC ID::POS_EMP_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Employees.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewEmployeeTimeEntry.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewEmployeeTimeEntry () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport
		[ ] NewEmployeeRec nerEmp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Emloyee time entry
			[ ] TimeEntry.NewEmployeeTimeEntry.Invoke ()
		[ ] 
		[+] // Result 1: Verify Time Entry is dispalyed
			[ ] VerifySafely (TimeEntry.NewEmployeeTimeEntry.Exists (5), TRUE, "NewEmployeeTimeEntry is displayed")
		[ ] 
		[+] // Step 2: Select a login, name and set the elapsed time and save
			[ ] TimeEntry.NewEmployeeTimeEntry.PageList1.LoginName.Select ("PEmp1")
			[+] if PointOfSaleMessage170031.Exists (2)
				[ ] PointOfSaleMessage170031.Yes.Click ()
			[ ] TimeEntry.NewEmployeeTimeEntry.PageList1.ElapsedTime.SetText ("08:00")
			[ ] TimeEntry.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 2: Verify time clock history is displayed
			[ ] VerifySafely (TimeClockHistory.Exists (5), TRUE, "TimeClockHistory open")
		[ ] 
		[+] // Step 3: Go to IWT->Run a report->Timeclock summary
			[ ] TimeClockHistory.Typekeys ("<Alt-O-R-M>")
		[ ] 
		[+] // Result 3: Verify report is displayed
			[ ] VerifySafely (Reports.ReportCenter.Exists (), TRUE, "Report displyed")
		[ ] 
		[+] // Step 4: Export report to excel
			[ ] sReport = "TimeClockSummary"
			[ ] Reports.RemoveDateAndTimeFromReport ()
			[ ] Reports.ExportToExcel (sReport)
		[ ] 
		[+] // Result 4: Verify Item data save successfully
			[ ] VerifySafely (CompareReportWithBaseline (sReport), TRUE, "Report matching with baseline")
	[ ] 
	[+] // CLEAN UP
		[+] if Reports.ReportCenter.Exists ()
			[+] if Reports.BottomBar.Close.Exists ()
				[ ] Reports.BottomBar.Close.Click ()
		[+] if TimeClockHistory.TimeClockHistory.Exists ()
			[ ] TimeClockHistory.BottomBar.Close.Click ()
[ ] 
