﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending memo from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a new cost adjustment memo
		[ ] // 2: Update QuickBooks
	[+] // Expected Result:
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_CostAdjustment
[ ] // ATC ID::POS_FE_ATC_028
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CostAdjustment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CostAdjustment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCostAdjMemoRec ncamMemo
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ("DontSendPrevious")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new cost adjustment memo
			[ ] ncamMemo = {}
			[ ] ncamMemo.sItem = "InvItem1"
			[ ] ncamMemo.sNewCost = "40.00"
			[ ] ncamMemo.sReason = "Damaged"
			[ ] ncamMemo.sButton = "Save"
			[ ] CreateNewCostAdjustmentMemo (ncamMemo)
		[ ] 
		[+] // Step 2: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
