﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying setting up financial exchange with quickbooks open, Inventory ON and Sales Tax OFF
	[+] // Test Steps:
		[ ] // 1. Click on "Retry" (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify "QuickBooks Connection Wizard" exists
		[ ] // 2. Verify connection is not esablished without Sales Tax ON in Quickbooks
[ ] // TESTCASE::FE_QuickbooksOpen_SalesTaxOff
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_QuickbooksOpen_SalesTaxOff.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_QuickbooksOpen_SalesTaxOff () appstate none
	[+] // VARIABLES
		[ ] STRING sMessage
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify "QuickBooks Connection Wizard" exists
			[ ] QuickBooksConnectionWizard.SetActive ()
			[ ] VerifySafely (QuickBooksConnectionWizard.Exists (), True, "QuickBooks Connection Wizard appears")
		[ ] 
		[+] // Step 1: Click on "Retry"
			[ ] QuickBooksConnectionWizard.Retry.Click ()
			[ ] WaitFor (QuickBooksConnectionWizard.Retry, iTimeOut)
		[ ] 
		[+] // Result 2: Verify connection is not esablished without Inventory ON in Quickbooks
			[ ] WaitFor (QuickBooksConnectionWizard.Retry)
			[ ] sMessage = "You need to turn on sales tax in QuickBooks financial software."
			[ ] VerifySafely (MatchStr (sMessage, QuickBooksConnectionWizard.GetMessage ()), TRUE, "Message occurs 'You need to turn on sales tax in QuickBooks financial software.'")
			[ ] VerifySafely (QuickBooksConnectionWizard.Next.Exists (), FALSE, "Next button not present")
			[ ] VerifySafely (QuickBooksConnectionWizard.Retry.Exists (), TRUE, "Retry button is present and enabled")
	[ ] exit
[ ] 
