﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Cash Payout from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts and go to Cash Drawer Payouts (Result 1)
	[+] // Expected Result:
		[ ] // 1. Verify Cash Drawer Payouts account balance
[ ] // TESTCASE::QB_CashPayout_Verify.t
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CashPayout_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_CashPayout_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected, lsResult3
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Chart Of Accounts and go to Cash Drawer Payouts
				[ ] QB.SetActive ()
				[ ] ChartOfAccounts.Invoke ()
				[ ] ChartOfAccounts.ListView1.Name.Select("Cash Drawer Payouts")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 1: Verify Cash Drawer Payouts account balance
				[+] lsResult3 = {...}
					[ ] "{FormatDateTime (GetDateTime (), "mm/dd/yyyy")}	GENJRNL	1		Cash Drawer Payouts	Maintainance	100.00"
				[ ] VerifySafely (Find.PageList1.Advanced.ListBox1.GetContents (), lsResult3, "Cash Drawer Payouts account updated")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
