﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending memo from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke Items List
		[ ] // 2. Check on Include Inactive
		[ ] // 3. Close Item List and Invoke Chart Of Accounts
	[+] // Expected Result:
		[ ] // 1. Verify POS Sales Order Deposit item not there in active items
		[ ] // 2. Verify POS Sales Order Deposit item is present in inactive items
		[ ] // 3. Verify Customer Deposits account has increased by appropiate amount
[ ] // TESTCASE::QB_CustomerOrderDeposit_Verify.t
[ ] // ATC ID::POS_FE_ATC_028
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CustomerOrderDeposit_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] window QBWDialogBox UsingPointOfSale
	[ ] tag "Using Point of Sale?"
	[ ] parent QB
	[+] TextField TextField1
		[+] multitag "#1"
			[ ] "$21573"
	[+] CustomWin DoNotDisplayThisMessageIn
		[+] multitag "[MauiCheckBox]Do not display this message in the future"
			[ ] "[MauiCheckBox]#1"
			[ ] "[MauiCheckBox]$101"
	[+] CustomWin OK
		[+] multitag "[MauiPushButton]OK"
			[ ] "[MauiPushButton]#1"
			[ ] "[MauiPushButton]$51"
[ ] 
[+] testcase QB_CostAdjustment_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sItemName
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 3: Close Item List and Invoke Chart Of Accounts
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 3: Verify Customer Deposits account has increased by appropiate amount
				[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Inventory Asset", "Balance"), "7,420.00", "Inventory Asset Updated in QB")
		[ ] 
		[+] // CLEANUP
			[ ] ChartOfAccounts.Close ()
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
