﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating customers (in the order "Last First") between POS and QB
	[+] // Test Steps:
		[ ] // 1. Invoke the Customer Center from the Icon Bar
	[+] // Expected Result:
		[ ] // 1. To verify POS customer "Mrs. POSCust3F, POSCust3L" is present in customer list in "Title First Last" order
[ ] // TESTCASE::QB_CustomerNameOrder3_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CustomerNameOrder3_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_CustomerNameOrder3_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sCustomerName, sDesc
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke the Customer Center from the Icon Bar
				[ ] QB.SetActive ()
				[ ] CustomerCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS customer "Mrs. POSCust3F, POSCust3L" is present in customer list in "Title First Last" order
				[ ] sCustomerName = "Mrs. POSCust3F POSCust3L"
				[ ] sDesc = "Customer {sCustomerName} is found in the list in 'Title First Last' order"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), TRUE, sDesc)
				[ ] 
				[ ] sCustomerName = "Mrs. POSCust3L POSCust3F"
				[ ] sDesc = "Customer {sCustomerName}  in 'Last, First' order is not found in the list"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), FALSE, sDesc)
		[ ] 
		[+] // CLEANUP
			[ ] CustomerCenter.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
