﻿[ ] // Modified the existing and implemented the Co-Existence
[ ] // GAJENDRAN
[ ] 
[ ] //Make sure whatever the changes are done in LaunchAndCloseQB.t is also made in LaunchAndCloseQB.t.templete
[ ] 
[+] // Common variables 
	[ ] STRING sLaunchAndCloseLog
	[ ] STRING sLaunchAndCloseExecuted
	[ ] STRING sSecondInstallAttempted
	[ ] STRING sSecondInstallSucceed
	[ ] STRING sAttempted
	[ ] STRING sPrimaryProduct
	[ ] STRING sPrimaryProject
	[ ] STRING sPrimaryBuild
	[ ] STRING sPrimarySku
	[ ] STRING sSecondaryProduct
	[ ] STRING sSecondaryProject
	[ ] STRING sSecondaryBuild
	[ ] STRING sSecondarySku
	[ ] STRING sSDKVer
	[ ] BOOLEAN bQBCoExists = QBCoExists ()
	[ ] BOOLEAN bLiveCommunity = TRUE
[ ] 
[+] testcase LaunchAndCloseQB() appstate none
	[ ] // Initialize the ENV values
	[ ] HFILE hFile
	[ ] HINIFILE hTaskinfoIni
	[ ] hTaskinfoIni = IniFileOpen("C:\Temp\Taskinfo.ini")
	[ ] sPrimarySku = IniFileGetValue(hTaskinfoIni, "env", "PRODUCT")
	[ ] sPrimaryProduct = IniFileGetValue(hTaskinfoIni, "env", "PROJECT")
	[ ] sPrimaryProject = IniFileGetValue(hTaskinfoIni, "env", "BUILD")
	[ ] sPrimaryBuild = IniFileGetValue(hTaskinfoIni, "env", "SKU")
	[ ] sSDKVer = IniFileGetValue(hTaskinfoIni, "env", "SDKVER")
	[ ] 
	[ ] 
	[ ] // If the project is Blaze or Nirvana disable Live Coumminty by invoking QB with FALSE parameter
	[+] if((MatchStr("Blaze", sPrimaryProject) || MatchStr("Nirvana", sPrimaryProject)))
		[ ] bLiveCommunity = FALSE
	[ ] 
	[ ] // If the user wants to install the second instance of QB, collect all the ENV values
	[+] if(bQBCoExists)
		[ ] sSecondaryProduct = IniFileGetValue(hTaskinfoIni, "env", "PRODUCT_2")
		[ ] sSecondaryProject= IniFileGetValue(hTaskinfoIni, "env", "PROJECT_2")
		[ ] sSecondaryBuild = IniFileGetValue(hTaskinfoIni, "env", "BUILD_2")
		[ ] sSecondarySku = IniFileGetValue(hTaskinfoIni, "env", "SKU_2")
		[ ] sSecondInstallAttempted = IniFileGetValue(hTaskinfoIni, "env", "SECOND_INSTALL_ATTEMPTED")
		[ ] sSecondInstallSucceed = IniFileGetValue(hTaskinfoIni, "env", "SECOND_INSTALL_SUCCEED")
		[ ] sLaunchAndCloseExecuted = IniFileGetValue(hTaskinfoIni, "env", "LAUNCH_AND_CLOSE_EXECUTED")
		[ ] IniFileClose (hTaskinfoIni)
		[ ] 
		[ ] print (" [QB_CO] Entering into the QB Co-Existence workflow ...")
		[ ] print (" [QB_CO] Ensuring the Second Instance of QB installation is attempted earlier ...")
		[+] if (sLaunchAndCloseExecuted != "TRUE")
			[ ] HINIFILE hTaskinfo
			[ ] hTaskinfo = IniFileOpen("C:\Temp\Taskinfo.ini")
			[ ] 
			[+] if (sSecondInstallSucceed  !=  "TRUE")
				[ ] //Start installaling if not installed earlier
				[ ] print (" [QB_CO] Installing the Second QB Instance...")
				[ ] print ( " Secondary QB Installed Details : -{sSecondaryProduct}, -{sSecondaryProject}, -{sSecondaryBuild}, -{sSecondarySku}")
				[ ] LIST OF STRING lsOutPut
				[ ] INTEGER iReturn
				[ ] 
				[ ] //Install the second QuickBooks and evaluuate the installation
				[ ] IniFileSetValue (hTaskinfo, "env", "SECOND_INSTALL_ATTEMPTED", "TRUE")
				[ ] iReturn = Sys_Execute("perl Q:\bin\Second_Install_Mgr.pl", lsOutPut)
				[+] if (iReturn != 0)
					[ ] // Evaluate the installtion failure
					[ ] STRING sOut
					[+] for each sOut in lsOutPut
						[+] if (MatchStr("*ERROR*", sOut) || MatchStr("*MSI Install failed*", sOut))
							[ ] print (" [QB_CO] ERROR : Second QB Installation failed, please check \temp\temp\msi_install.log...")
							[ ] LogError("ERROR : Second QuickBooks Installaler Started is not successfull : {sOut}")
							[ ] print ( " QB Installed Details : [{sPrimaryProduct}, {sPrimaryProject}, {sPrimaryBuild}, {sPrimarySku}]")
							[ ] print ( "Secondary QB Installed Details : [{sSecondaryProduct}, {sSecondaryProject}, {sSecondaryBuild}, {sSecondarySku}]")
							[ ] TestCaseExit(FALSE)
							[ ] break
					[ ] 
				[+] else
					[ ] print (" [QB_CO] Second QB Installation successful...")
					[ ] VerifySafely(TRUE, TRUE, "Second QB Installation trigger")
					[ ] IniFileSetValue (hTaskinfo, "env", "SECOND_INSTALL_SUCCEED", "TRUE")
					[ ] 
				[ ] 
				[ ] IniFileClose  (hTaskinfo)
				[ ] print (" [QB_CO] Registering the Second QB Instance installation attempt status...")
				[ ] 
			[+] else
				[ ] print (" [QB_CO] Skipping the Seocnd QB Instance as already attempted/Installed...")
				[ ] 
			[ ] 
			[ ] //Check the Second QB Installation is started
			[ ] print (" [QB_CO] Ensuring the Second QB Intallation was successfull ...")
			[+] do
				[+] if (SYS_DirExists ("C:\temp\temp\"))
					[+] if(SYS_FileExists ("C:\temp\temp\InstallQuickBooks.log"))
						[ ] HFILE hLogFile
						[ ] STRING sLine
						[ ] hLogFile = SYS_FileOpen("C:\temp\temp\InstallQuickBooks.log", FM_READ)
						[+] while (SYS_FileReadLine (hLogFile, sLine)) 
							[ ] 
							[+] if (MatchStr("*Second InstallQuickBooks.pl*", sLine))
								[ ] VerifySafely(TRUE, TRUE, "Second QuickBooks Installaler Started")
								[ ] 
							[ ] 
							[+] if (MatchStr("*Installing QuickBooks*", sLine))
								[ ] VerifySafely(TRUE, TRUE, "Second QuickBooks Installation Started")
								[ ] 
							[ ] 
							[+] if (MatchStr("*1603*", sLine) || MatchStr("*MSI Install failed*", sLine))
								[ ] LogError ("Second QB Installation is Failed, please check the C:\temp\temp\msi_Install.log")
								[ ] print (" [QB_CO] Second QB Intallation was not successfull ...")
								[ ] LogError("Second QB Installation log reports failure")
								[ ] TestCaseExit(FALSE)
								[ ] break
								[ ] 
							[ ] 
							[+] if (MatchStr("*MSI Install succeeded*", sLine))
								[ ] Verify(TRUE, TRUE, "Second QB Installation is successful")
								[ ] print (" [QB_CO] Second QB Intallation was successfull ...")
								[ ] TestCaseExit(FALSE)
								[ ] break
								[ ] 
							[ ] 
						[ ] SYS_FileClose (hLogFile)
						[ ] 
					[+] else
						[ ] LogError("Second QB Installation log is not generated")
					[ ] 
				[ ] 
			[+] except
				[ ] LogWarning("Error while Reading the C:\temp\temp\InstallQuickBooks.Log")
			[ ] 
			[ ] print (" [QB] Launching the primary QB ......")
			[ ] sLaunchAndCloseLog = "C:\temp\LaunchAndClosePrimaryQB.log"
			[ ] LaunchAndClosePrimaryQB(sLaunchAndCloseLog)
			[ ] 
			[ ] HINIFILE hTaskInfo
			[ ] hTaskinfo = IniFileOpen("C:\Temp\Taskinfo.ini")
			[ ] IniFileSetValue (hTaskinfo, "env", "LAUNCH_AND_CLOSE_EXECUTED", "TRUE")
			[ ] IniFileClose  (hTaskinfo)
			[ ] 
		[+] else
			[ ] sLaunchAndCloseLog = "C:\temp\LaunchAndCloseSecondQB.log"
			[ ] LaunchAndCloseSecondQB(sLaunchAndCloseLog)
	[+] else
		[ ] print (" [QB] Proceeding with the Single QB instance workflow ...")
		[ ] sLaunchAndCloseLog = "C:\temp\LaunchAndCloseQB.log"
		[ ] AcctCenter.Hide () 
		[ ] LaunchAndClosePrimaryQB(sLaunchAndCloseLog)
		[ ] 
[ ] 
[ ] 
[ ] // Utility Funtions
[+] void LaunchAndClosePrimaryQB(STRING sLaunchAndCloseLog)		// Primary  Instance Invoke
	[ ] //Set Global variable
	[ ] sDir = GetQBPath ()
	[ ] sCmdLine = GetQBExe ()
	[ ] print (" [QB] Launching the primary QB .....for {sPrimaryProject}.")
	[ ] sLaunchAndCloseLog="C:\temp\LaunchAndCloseQB.log"
	[ ] 
	[ ] print (" [QB] Checking the process running before Primary QB Insatnce invoke...")
	[ ] VerifySafely(TRUE, TRUE, " Checking the QB process before Launching QB ..{ListOfStringToString(ListProcess("QB", "WPF", "Intuit"))}")
	[ ] print (" [QB] Killing WebConnector, qbhelp process before Primary QB invoke...")
	[ ] 
	[ ] CloseProcess("QBWebConnector.exe")
	[ ] KillProcess("QBWebConnector.exe")
	[ ] KillProcess ("IntuitDataProtect.exe")
	[+] if (!bQBCoExists)
		[ ] KillProcess("qbw32.exe")
		[ ] 
	[ ] KillProcess("qbhelp.exe")
	[ ] 
	[ ] // Start QB 
	[ ] QB.Invoke(bLiveCommunity)
	[ ] 
	[ ] //if the process still exists then kill it.
	[ ] KillProcess("qbhelp.exe")
	[ ] KillProcess("QBWebConnector.exe")
	[ ] 
	[+] if !bQBCoExists
		[+] if (sSDKVer != "")
			[ ] print (" [QB_CO] Executing SDK Test...")
			[ ] 
			[+] if !(QB.Exists() )
				[ ] QB.Invoke (bLiveCommunity)
			[ ] 
			[ ] // Test case to verify if a new company file is Created
			[ ] // Verify if Quick Books is already open
			[ ] VerifySafely (QB.Exists (5), TRUE, "QuickBooks Launched")
			[ ] 
			[ ] // If NewCompanyTest already exits then remove it
			[ ] RemoveQBFile ("NewCompanyTest.qbw")
			[ ] 
			[ ] // Creating a new company file
			[ ] CompanyRec cr = {}
			[ ] cr.sName = "NewCompanyTest"
			[ ] cr.sFilename = "NewCompanyTest.qbw"
			[ ] cr.sType = "General Product-based Business"
			[ ] CreateCompany (cr)
			[ ] 
			[ ] Sleep (5)
			[ ] // Verify if the new company file is created.
			[ ] VerifyPartial (QB.GetCompanyFilename (), "*NewCompanyTest.qbw", "Company created")
			[ ] CloseCompany ()
			[ ] 
			[ ] // Verify if the company is closed.
			[ ] VerifySafely (QB.GetCompanyFileName (), "", "Company File Closed")
			[ ] 
			[ ] print (" [QB_CO] Finished SDK Test...")
		[ ] 
		[ ] // Close QuickBooks
		[+] if (QB.Exists (10))
			[+] do
				[+] if (QB.IsActive())
					[+] if (QB.FileMenu.Exit.IsEnabled())
						[ ] QB.SetActive()
						[ ] QB.FileMenu.Exit.Pick ()
					[+] else
						[ ] VerifySafely(TRUE, TRUE, "Warning : Unexpected/Unhandled window {QB.GetNextCloseWindow()} appeared, hence killing QB")
						[ ] KillProcess("qbw32.exe")
						[ ] 
				[+] else
					[ ] VerifySafely(TRUE, TRUE, "Warning : Unexpected/Unhandled window {QB.GetNextCloseWindow()} appeared hence killing QB")
					[ ] KillProcess("qbw32.exe")
			[+] except
				[ ] VerifySafely(TRUE, TRUE, "Warning : Unexpected/Unhandled window {QB.GetNextCloseWindow()} appeared hence killing QB")
				[ ] KillProcess("qbw32.exe")
				[ ] 
			[ ] 
		[ ] Sleep(3)
		[ ] VerifySafely (QB.Exists (20), FALSE, "QB Not Exits")
		[ ] 
	[+] else
		[+] do
			[ ] print (" [QB] Closing QB Primary Instance...")
			[ ] // Close QuickBooks
			[ ] QB.Close ()
			[+] if (QB.Exists (5))
				[ ] QB.SetActive ()
				[ ] QB.FileMenu.Exit.Pick ()
				[+] if (QB.Exists ())
					[ ] QB.TypeKeys("<Alt-F4>")
				[+] else
					[ ] int i = 1
					[+] while (!QB.IsActive())
						[+] if (i % 2 == 0)
							[ ] QB.TypeKeys("<Alt-F4>")
						[+] else
							[ ] QB.TypeKeys("<Ctrl-F4>")
						[+] if (i > 10)
							[ ] break
						[ ] i++
					[+] if (QB.IsActive())
						[ ] QB.TypeKeys("<Alt-F4>")
			[ ] sleep (3)
		[+] except
			[ ] // do nothing
		[ ] VerifySafely (QB.Exists (10), FALSE, "QB Not Exits")
		[ ] 
	[ ] 
	[ ] //Create a file  called LaunchAndClose.log under C:\temp\ to represent QB was successfully launched and closed.
	[ ] HANDLE hFile
	[ ] hFile = SYS_FileOpen(sLaunchAndCloseLog, FM_WRITE)
	[ ] SYS_FileClose (hFile)
	[ ] 
	[ ] print (" [QB] Checking the QB process running After Primary QB Instance Closed...")
	[ ] VerifySafely(TRUE, TRUE, " Checking the QB process After Closed QB ..{ListOfStringToString(ListProcess("QB", "WPF", "Intuit"))}")
	[ ] 
	[ ] //Call Second QB Close
	[+] if bQBCoExists
		[ ] LaunchAndCloseSecondQB ("C:\temp\LaunchAndCloseSecondQB.log")
		[ ] 
	[ ] 
[ ] 
[+] void LaunchAndCloseSecondQB (STRING sLaunchAndCloseLog)	// Secondary  Instance Invoke
	[ ] 
	[ ] sDir = GetSecondQBPath ()
	[ ] sCmdLine = GetSecondQBExe ()
	[ ] 
	[+] if((MatchStr("Blaze", sSecondaryProject) || MatchStr("Nirvana", sSecondaryProject)))
		[ ] bLiveCommunity = FALSE
	[ ] 
	[ ] print (" [QB_CO] Launching the Second QB .....for {sSecondaryProject}.")
	[ ] sLaunchAndCloseLog="C:\temp\LaunchAndCloseSecondaryQB.log"
	[ ] 
	[ ] 
	[ ] print ("Second QB sDir: {sDir}")
	[ ] print ("Second QB sCmdLine: {sCmdLine}")
	[ ] 
	[ ] print (" [QB_CO] Checking the process running before Secondory QB Insatnce invoke...")
	[ ] VerifySafely(TRUE, TRUE, " Checking the QB process before Launching Second QB..{ListOfStringToString(ListProcess("QB", "WPF", "Intuit"))}")
	[ ] print (" [QB_CO] Killing WebConnector, qbhelp process before QB invoke...")
	[ ] KillProcess("QBWebConnector.exe")
	[ ] KillProcess("qbhelp.exe")
	[ ] 
	[ ] print (" [QB_CO] QB Second Instance is being invoked..")
	[ ] QB.Invoke(bLiveCommunity)
	[ ] 
	[ ] print (" [QB_CO] Killing WebConnector, qbhelp process after QB invoke...")
	[ ] 
	[ ] //if the process still exists then kill it.
	[ ] KillProcess("QBWebConnector.exe")
	[ ] KillProcess("qbhelp.exe")
	[ ] 
	[ ] //Create a file  called LaunchAndClose.log under C:\temp\ to represent QB was successfully launched and closed.
	[ ] HANDLE hFile
	[ ] hFile = SYS_FileOpen(sLaunchAndCloseLog, FM_WRITE)
	[ ] SYS_FileClose (hFile)
	[ ] 
	[+] do
		[ ] // Execution SDK Sample Company Open Test
		[+] if (sSDKVer != "")
			[ ] print (" [QB_CO] Executing SDK Test...")
			[+] // Test case to verify if a new company file is Created
				[ ] // Verify if Quick Books is already open
				[ ] VerifySafely (QB.Exists (5), TRUE, "QuickBooks Launched")
				[ ] 
				[ ] // If NewCompanyTest already exits then remove it
				[ ] RemoveQBFile ("NewCompanyTest.qbw")
				[ ] 
			[+] // Creating a new company file
				[ ] CompanyRec cr = {}
				[ ] cr.sName = "NewCompanyTest"
				[ ] cr.sFilename = "NewCompanyTest.qbw"
				[ ] cr.sType = "General Product-based Business"
				[ ] CreateCompany (cr)
				[ ] 
				[ ] Sleep (5)
			[+] // Verify if the new company file is created.
				[ ] VerifyPartial (QB.GetCompanyFilename (), "*NewCompanyTest.qbw", "Company created")
				[ ] CloseCompany ()
				[ ] 
			[+] // Verify if the company is closed.
				[ ] VerifySafely (QB.GetCompanyFileName (), "", "Company File Closed")
				[ ] 
			[ ] print (" [QB_CO] Finished SDK Test...")
		[ ] 
		[ ] print (" [QB_CO] Closing QB Second Instance...")
		[ ] 
		[ ] // Close QuickBooks
		[ ] QB.Close()
		[+] if (QB.Exists())
			[+] if (QB.IsActive())
				[ ] QB.FileMenu.Exit.Pick ()
			[+] if (QB.IsActive())
				[ ] QB.TypeKeys("<Alt-F4>")
			[+] else
				[ ] int i = 1
				[+] while (!QB.IsActive())
					[+] if (i % 2 == 0)
						[ ] QB.TypeKeys("<Alt-F4>")
					[+] else
						[ ] QB.TypeKeys("<Ctrl-F4>")
					[+] if (i > 10)
						[ ] break
					[ ] i++
				[+] if (QB.IsActive())
					[ ] QB.TypeKeys("<Alt-F4>")
		[ ] 
		[+] if (!QB.exists())
			[ ] VerifySafely(TRUE, TRUE, " Is QB Closed succuessfully")
			[ ] 
		[+] else
			[ ] VerifySafely(TRUE, FALSE, "Problem Closing QB")
			[ ] 
		[ ] 
	[+] except
		[ ] //Do nothing
	[ ] 
	[ ] VerifySafely(TRUE, TRUE, " Checking the QB process After Secondary QB Closed ..{ListOfStringToString(ListProcess("QB", "WPF", "Intuit"))}")
	[ ] 
	[ ] 
[ ] 
[+] STRING GetSecondQBExe ()		
	[ ] //#
	[ ] //returns:		STRING
	[ ] //parameter:	none
	[ ] //notes: Returns full path and executable of specified version. Uses sQBVersion, if it is not set
	[ ] //then uses the method called GetLatestQBVer
	[ ] //#
	[ ] 		
	[ ] STRING sExe = ""
	[ ] STRING sVer = GetSecondQBVer()
	[+] do
		[ ] sExe = SYS_GetRegistryValue (HKEY_LOCAL_MACHINE, "SOFTWARE\Intuit\QuickBooks\{sVer}", "Path")
	[+] except
		[ ] LogError ("Unable to read registry value for - SOFTWARE\Intuit\QuickBooks\{sVer}")
	[ ] 
	[+] if sExe == ""
		[ ] LogWarning ("Could not find executable path to QuickBooks version {sVer}.")
	[ ] return sExe
[ ] 
[+] STRING GetSecondQBPath ()
	[ ] //#
	[ ] //returns:		STRING
	[ ] //parameter:	none
	[ ] //notes: Returns path to specific QB version number
	[ ] //#
	[ ] 
	[ ] STRING sExe = GetSecondQBExe ()
	[+] if sExe != ""
		[ ] STRING sPath = PathName (sExe)
		[ ] STRING sVer = GetBuildVersion()
		[ ] 
		[+] if sPath == ""
			[ ] LogWarning ("Could not find directory path to QuickBooks version {sVer}.") 	// GL 05/06/02: Print warning instead of error since there may be no QB exe on purpose.
		[+] else
			[ ] return sPath
	[+] else
		[ ] return ""
	[ ] 
[ ] 
[+] STRING GetBuildVersion ()
	[ ] STRING sSecondaryProject
	[ ] HINIFILE hTaskinfoIni
	[ ] hTaskinfoIni = IniFileOpen("C:\Temp\Taskinfo.ini")
	[ ] sSecondaryProject = IniFileGetValue(hTaskinfoIni, "env", "PROJECT_2")
	[ ] 
	[ ] STRING sBuildVersion = ""
	[+] select
		[+] case MatchStr("BLAZE*", Upper(sSecondaryProject))
			[ ] sBuildVersion = "22.0"
			[ ] 
		[+] case MatchStr("EMERALD*", Upper(sSecondaryProject))
			[ ] sBuildVersion = "21.0"
			[ ] 
		[+] case MatchStr("VENTI*", Upper(sSecondaryProject))
			[ ] sBuildVersion = "20.0"
			[ ] 
		[+] case MatchStr("CASBAH*", Upper(sSecondaryProject))
			[ ] sBuildVersion = "19.0"
			[ ] 
		[+] default
			[ ] LogError("{sSecondaryProject} build is not supported for co-existance")
	[ ] IniFileClose(hTaskinfoIni)
	[ ] return sBuildVersion
	[ ] 
[ ] 
[+] STRING GetSecondQBVer ()	
	[ ] //#
	[ ] //returns:		STRING
	[ ] //parameter:	none
	[ ] //notes: Returns version number of latest version of QuickBooks.
	[ ] //#
	[ ] 							
	[ ] STRING sOne, sPath
	[ ] STRING sTry = GetBuildVersion()
	[ ] REAL rTry
	[ ] LOS lsSkuList = GetSkuList ()
	[ ] 
	[+] do
		[+] for each sOne in lsSkuList
			[+] do
				[ ] sPath = SYS_GetRegistryValue(HKEY_LOCAL_MACHINE, "SOFTWARE\Intuit\QuickBooks\{sTry}\{sOne}", "Path")
				[ ] return "{sTry}\{sOne}"
			[+] except
				[ ] //Do Nothing
	[+] except
		[ ] //Do Nothing
		[ ] LogWarning ("Could not detect a QuickBooks version.")
		[ ] 
	[ ] 
	[ ] return ""
	[ ] 
[ ] 
[ ] 
[+] BOOLEAN QBCoExists()
	[ ] HINIFILE hTaskinfoIni
	[ ] hTaskinfoIni = IniFileOpen("C:\Temp\Taskinfo.ini")
	[ ] 
	[+] if (IniFileGetValue(hTaskinfoIni, "env", "PROJECT_2") != "")
		[ ] return TRUE
	[+] else
		[ ] return FALSE
	[ ] 
[ ] 
[+] LIST OF STRING ListProcess(STRING sPatternToMatch optional, STRING sPatternToMatch1 optional, STRING sPatternToMatch2 optional)
	[ ] 
	[ ] BOOLEAN bProcessGone = FALSE 	// Initialze to assume process is there
	[ ] STRING sPVPath = sAutolabFileSource + "bin\PrcView\pv.exe"
	[ ] INTEGER iTimeout = 10
	[ ] LIST OF STRING lsOutput = {...}
	[ ] //Check if process is there
	[ ] bProcessGone=SYS_Execute(sPVPath, lsOutput)
	[+] if !bProcessGone
		[ ] LIST OF STRING lsProcess = {...}
		[+] if (sPatternToMatch != NULL || sPatternToMatch1 != NULL || sPatternToMatch2 != NULL)
			[ ] STRING sOutput
			[ ] 
			[+] for each sOutput in lsOutput
				[+] if (MatchStr(sPatternToMatch+"*", sOutput))
					[ ] ListAppend (lsProcess, Trim(sOutput))
					[ ] 
				[+] if (!IsNull(sPatternToMatch1))
					[+] if (MatchStr(sPatternToMatch1+"*", sOutput))
						[ ] ListAppend (lsProcess, Trim(sOutput))
						[ ] 
				[+] if (!IsNull(sPatternToMatch2))
					[+] if (MatchStr(sPatternToMatch2+"*", sOutput))
						[ ] ListAppend (lsProcess, Trim(sOutput))
						[ ] 
				[ ] 
			[ ] 
			[ ] return lsProcess
		[+] else
			[ ] return lsOutput
			[ ] 
		[ ] 
	[ ] return NULL
	[ ] 
[ ] 
[+] String ListOfStringToString(List of String items, String addStringBetweenEachItem optional)
	[ ] String str = ""
	[ ] String item = ""
	[ ] 
	[+] if (addStringBetweenEachItem == NULL)
		[ ] addStringBetweenEachItem = ", "
	[ ] 
	[+] for each item in items
		[ ] str = str +  item + addStringBetweenEachItem
		[ ] 
	[ ] 
	[ ] //Remove the addStringBetweenEachItem tail
	[ ] Integer lenStr = Len(str)
	[ ] Integer lenAddStr = Len(addStringBetweenEachItem)
	[ ] Integer length = lenStr - lenAddStr
	[ ] str = SubStr(str, 1, length)
	[ ] 
	[ ] return str
	[ ] 
	[ ] 
[ ] 
[ ] 
[ ] //Hide the Acct center
[+] window QBWChildWin AcctCenter
	[ ] tag "Accountant Center"
	[ ] STRING sPath
	[+] void Hide ()
		[+] if ( MatchStr ("Windows 7*", Sys_GetName () ))
			[+] if ( Sys_DirExists ( "C:\ProgramData\Intuit\QuickBooks Enterprise Solutions 12.0") )
				[ ] sPath =  "C:\ProgramData\Intuit\QuickBooks Enterprise Solutions 12.0"
			[+] else
				[ ] sPath  = "C:\ProgramData\Intuit\QuickBooks 2012"
		[+] if SYS_FileExists (sNonBelQBWiniPath + "QBW.ini")
			[ ] sPath = sNonBelQBWiniPath
		[+] if SYS_FileExists (sBelQBWiniPath + "QBW.ini")
			[ ] sPath = sBelQBWiniPath
		[ ] INISetVal_2 (sPath + "QBW.ini", "accountant", "HideAccntCenterForAutomation", "1")
		[+] if(SubStr(GetQBVer(), 1,4)=="23.0")
			[ ] INISetVal_2 (sPath + "QBW.ini", "UIREFRESH", "LightSwitchFont", "0")
			[ ] INISetVal_2 (sPath + "QBW.ini", "UIREFRESH", "LightSwitchSkin", "0")
			[ ] INISetVal_2 (sPath + "QBW.ini", "FTUENGINE", "ENABLED", "0")
			[ ] 
		[ ] 
[ ] 
[+] STRING INISetVal_2(STRING sFile, STRING sSection, STRING sName, STRING sVal)
	[ ] HANDLE hFile = INIFileOpen (sFile)
	[ ] INIFileSetValue (hFile,sSection,sName,sVal)
	[ ] INIFileClose (hFile)
	[ ] return sVal
[ ] 
[ ]  
