﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying FE_MultiStepPOVoucher
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts
	[+] // Expected Result:
		[ ] // 1. Verify Customer Deposits account has increased by appropiate amount
[ ] // TESTCASE::QB_MultiStepPOVoucher1_Verify.t
[ ] // ATC ID::POS_FE_ATC_036
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_MultiStepPOVoucher1_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_MultiStepPOVoucher1_Verify () appstate none
	[+] if GetPOSSKU () == "BASIC"
		[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
		[ ] exit
	[ ] 
	[+] // VARIABLES
		[ ] STRING sItemName
	[ ] 
	[+] // SETUP
		[ ] QB.SetActive ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Chart Of Accounts
			[ ] ChartOfAccounts.Invoke ()
		[ ] 
		[+] // Result 1: Verify Customer Deposits account has increased by appropiate amount
			[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Unbilled Purchases", "Balance"), "850.00", "Unbilled purchases Updated in QB")
			[ ] ChartOfAccounts.Close ()
	[ ] exit
	[+] // // CLEANUP
		[+] // if (Find.Exists ())
			[ ] // Find.xClose.Click ()
		[ ] // CloseCompany ()
[ ] 
