﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify serial number tracking
	[+] // Test Steps:
		[ ] // Step 1: Invoke preferences 
		[ ] // Step 2: Select Ratings and Trends and uncheck for items and customers 
		[ ] // Step 3: Invoke Item list, select an item and open detail window
		[ ] // Step 4: Invoke Customer List, select an item and open detail window
		[ ] // Step 5: Invoke preferences 
		[ ] // Step 6: Select Ratings and Trends and uncheck for items and customers 
		[ ] // Step 7: Invoke Item list, select an item and open detail window
		[ ] // Step 8: Invoke Customer List, select an item and open detail window
	[+] // Expected Result:
		[ ] // Result 1: Verify Rating and trend does not exists
		[ ] // Result 2: Verify Rating and trend does not exists
		[ ] // Result 3: Verify Rating and trend does exists
		[ ] // Result 4: Verify Rating and trend does exists
[ ] // TESTCASE.:Prefs_RatingsAndTrends
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_RatingsAndTrends.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_RatingsAndTrends ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences 
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 2: Select Ratings and Trends and uncheck for items and customers 
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Ratings & Trends")
			[ ] Preferences.CompanyPreferences.PageList.Statistics.RatingsTrends.ShowRatingsAndTrendsForItems.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.Statistics.RatingsTrends.ShowRatingsForCustomers.Uncheck ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 3: Invoke Item list, select an item and open detail window
			[ ] Items.ItemsList.Invoke ()
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.BringIntoView ()
		[ ] 
		[+] // Result 1: Verify Rating and trend does not exists
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.RatingStar.Exists (2), FALSE, "Rating disabled")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.Trend.Exists (2), FALSE, "Trend disabled")
		[ ] 
		[+] // Step 4: Invoke Customer List, select an item and open detail window
			[ ] Customers.CustomerList.Invoke ()
			[+] if !Customers.CustomerList.CustomerDetail.Exists (2)
				[ ] Customers.CustomerList.Topbar.ShowDetails.Click ()
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Statistics.BringIntoView ()
		[ ] 
		[+] // Result 2: Verify Rating and trend does not exists
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Statistics.RatingStar.Exists (2), FALSE, "Rating disabled")
		[ ] 
		[+] // Step 5: Invoke preferences 
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 6: Select Ratings and Trends and uncheck for items and customers 
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Ratings & Trends")
			[ ] Preferences.CompanyPreferences.PageList.Statistics.RatingsTrends.ShowRatingsAndTrendsForItems.Check ()
			[ ] Preferences.CompanyPreferences.PageList.Statistics.RatingsTrends.ShowRatingsForCustomers.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 7: Invoke Item list, select an item and open detail window
			[ ] Items.ItemsList.Invoke ()
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.BringIntoView ()
		[ ] 
		[+] // Result 3: Verify Rating and trend does exists
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.RatingStar.Exists (2), TRUE, "Rating disabled")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.Statistics.Trend.Exists (2), TRUE, "Trend disabled")
		[ ] 
		[+] // Step 8: Invoke Customer List, select an item and open detail window
			[ ] Customers.CustomerList.Invoke ()
			[+] if !Customers.CustomerList.CustomerDetail.Exists (2)
				[ ] Customers.CustomerList.Topbar.ShowDetails.Click ()
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Statistics.BringIntoView ()
		[ ] 
		[+] // Result 4: Verify Rating and trend does exists
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Statistics.RatingStar.Exists (2), TRUE, "Rating disabled")
	[ ] 
	[+] // CLEAN UP
		[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
