﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify adding and removing columns to a Inventory list
	[+] // Test Steps:
		[ ] //  1. Invoke Item List (Result 1) (Result 2)
		[ ] //  2. Right click on the columns (Result 3)
		[ ] //  3. Select Customize Columns (Result 4)
		[ ] //  4. Click on Active Price (Result 5)
		[ ] //  5. Right click on the columns (Result 6)
		[ ] //  6. Select Customize Columns (Result 7)
		[ ] //  7. Click on Active Price (Result 8)
	[+] // Expected Result:
		[ ] //  1. Verify Item List is didplayed
		[ ] //  2. Verify Active price column is not present
		[ ] //  3. Verify Column customization menu pops
		[ ] //  4. Verify columns pop up is displayed
		[ ] //  5. Verify Active price Column is present in columns
		[ ] //  6. Verify Column customization menu pops
		[ ] //  7. Verify columns pop up is displayed
		[ ] //  8. Verify Active price Column is present in columns
[ ] // TESTCASE::AddRemoveInventoryListColumns
[ ] // ATC ID::POS_INV_ATC_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddRemoveInventoryListColumns.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddRemoveInventoryListColumns ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DeleteItem.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Result 2: Verify Active price column is not present
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ActivePrice.Exists (2), FALSE, "Active Price Column is not present")
		[ ] 
		[+] // Step 2: Right click on the columns
			[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
		[ ] 
		[+] // Result 3: Verify Column customization menu pops
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ColumnCustomizeMenu.Exists (2), TRUE, "Column customize menu is displayed")
		[ ] 
		[+] // Step 3: Select Customize Columns
			[ ] Items.ItemsList.ItemGrid.ColumnCustomizeMenu.CustomizeColumns.Click ()
		[ ] 
		[+] // Result 4: Verify columns pop up is displayed
			[ ] VerifySafely (Items.ItemsList.GridColumnOptions.Exists (5), TRUE, "Grid column options is displayed")
		[ ] 
		[+] // Step 4: Click on Active Price
			[ ] Items.ItemsList.GridColumnOptions.ActivePrice.Click ()
		[ ] 
		[+] // Result 5: Verify Active price Column is present in columns
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ActivePrice.Exists (2), TRUE, "Active Price Column is not present")
		[ ] 
		[+] // Step 5: Right click on the columns
			[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
		[ ] 
		[+] // Result 6: Verify Column customization menu pops
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ColumnCustomizeMenu.Exists (2), TRUE, "Column customize menu is displayed")
		[ ] 
		[+] // Step 6: Select Customize Columns
			[ ] Items.ItemsList.ItemGrid.ColumnCustomizeMenu.CustomizeColumns.Click ()
		[ ] 
		[+] // Result 7: Verify columns pop up is displayed
			[ ] VerifySafely (Items.ItemsList.GridColumnOptions.Exists (5), TRUE, "Column customize menu is displayed")
		[ ] 
		[+] // Step 7: Click on Active Price
			[ ] Items.ItemsList.GridColumnOptions.ActivePrice.Click ()
		[ ] 
		[+] // Result 8: Verify Active price Column is present in columns
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ActivePrice.Exists (2), FALSE, "Active Price Column is not present")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
