﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying message in Item list
	[+] // Test Steps:
		[ ] // 1. Invoke Item List (Result 1)
		[ ] // 2. Click 'Close' link in the message(Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify Item List message
		[ ] // 2. Verify message goes off
[ ] // TESTCASE::ItemListMessage
[ ] // ATC ID::To be updated
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ItemListMessage.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ItemListMessage () appstate BasicSKU
	[+] // VARIABLES
		[ ] STRING sMessage1, sMessage2, sMessage3
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List message
			[ ] sMessage1 = "Never let a sale walk out the door"
			[ ] sMessage2 = "Set minimum quantities to trigger reorder reminders."
			[ ] sMessage3 = "Try Point of Sale Multistore FREE for 60 days!"
			[ ] VerifySafely (Items.ItemsList.BasicItemListMessage.Exists (5), TRUE, "Message present")
			[ ] print ("******************************Message Is:*******************************")
			[ ] VerifySafely (Items.ItemsList.BasicItemListMessage.MessageText1.GetCaption (), sMessage1, "{Items.ItemsList.BasicItemListMessage.MessageText1.GetCaption ()} exists")
			[ ] VerifySafely (Items.ItemsList.BasicItemListMessage.MessageText2.GetCaption (), sMessage2, "{Items.ItemsList.BasicItemListMessage.MessageText2.GetCaption ()} exists")
			[ ] VerifySafely (Items.ItemsList.BasicItemListMessage.MessageText3.GetCaption (), sMessage3, "{Items.ItemsList.BasicItemListMessage.MessageText3.GetCaption ()} exists")
		[ ] 
		[+] // Step 2: Click 'Close' link in the message
			[ ] Items.ItemsList.BasicItemListMessage.Close.Click ()
		[ ] 
		[+] // Result 2: Verify message goes off
			[ ] VerifySafely (Items.ItemsList.BasicItemListMessage.Exists (5), FALSE, "Message goes off")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
