﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Edit an Invnetory item through List
	[+] // Test Steps.
		[ ] // Step 1: Invoke Item List (Result 1)
		[ ] // Step 2: Enter name of  Inventory item to be edited on Search Inventory field of Item List
		[ ] // Step 3: Double click on the field to be edited (Result 2)
		[ ] // Step 4: Set the new value
		[ ] // Step 5: Enter the name of the item edited on search inventory
		[ ] // Step 6: Click on edit (Result 3)
	[+] // Expected Result.
		[ ] // Result 1: Verify Item List is didplayed
		[ ] // Result 2: Text box should get enabled for edit
		[ ] // Result 3: Verify item edited
[ ] // TESTCASE::InventoryListEdit
[ ] // ATC ID::POS_INV_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryListEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryListEdit ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DeleteItem.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Enter name of  Inventory item to be edited on Search Inventory field of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 3: Cick on the field to be edited and press F2
			[ ] Items.ItemsList.ItemGrid.GridRow.iIndex = 1
			[ ] Items.ItemsList.ItemGrid.GridRow.RegularPrice.DoubleClick ()
			[ ] Items.Typekeys ("<F2>")
		[ ] 
		[+] // Result 2: Text box should get enabled for edit
			[ ] VerifySafely (Items.ItemsList.ItemGrid.GridRow.RegularPrice.Edit.IsEnabled, TRUE, "Regular price field is editable from list")
		[ ] 
		[+] // Step 4: Set the new value
			[ ] nirItem.sRegularPrice = "400.00"
			[ ] Items.ItemsList.ItemGrid.GridRow.RegularPrice.Edit.SetData (nirItem.sRegularPrice)
		[ ] 
		[+] // Step 5: Enter the name of the item edited on search inventory
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 6: Click on edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 3: Verify item edited
			[ ] VerifyItemData (nirItem)
		[ ] 
		[+] // Step 7: Press Left Key
			[ ] Items.ItemsList.ItemGrid.GridRow.iIndex = 1
			[ ] Items.ItemsList.ItemGrid.GridRow.RegularPrice.DoubleClick ()
			[ ] Items.Typekeys ("<F2>")
			[ ] Items.ItemsList.ItemGrid.GridRow.RegularPrice.Typekeys ("<Left>")
		[ ] 
		[+] // Result 4: Verify On hand qty is enbled for edit
			[ ] VerifySafely (Items.ItemsList.ItemGrid.GridRow.Size.Edit.IsEnabled, TRUE, "Regular price field is editable from list")
		[ ] 
		[+] // Step 8: Press tab Key
			[ ] Items.ItemsList.ItemGrid.GridRow.Size.Edit.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 5: Verify On hand qty is enbled for edit
			[ ] VerifySafely (Items.ItemsList.ItemGrid.GridRow.RegularPrice.Edit.IsEnabled, TRUE, "Regular price field is editable from list")
		[ ] 
		[+] // Step 9: Edit the Department to blank 
			[ ] Items.ItemsList.ItemGrid.GridRow.Department.Click ()
			[ ] Items.ItemsList.ItemGrid.GridRow.Department.Edit.SetData ("")
			[ ] Items.ItemsList.ItemGrid.GridRow.Department.Edit.Typekeys ("<Tab><Enter>")
		[ ] 
		[+] // Result 6: Verify On hand qty is enbled for edit
			[ ] VerifySafely (Items.Information.Exists (3), TRUE, "Information dialog appeared")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.Information.OK.Click ()
		[+] if Items.ItemsList.EditInventoryItem.Cancel.Exists (3)
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.Confirmation.exists (3)
			[ ] Items.Confirmation.Yes.Click ()
		[+] // if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] // Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] // if Items.ItemsList.Exists ()
			[ ] // Items.ItemsList.Topbar.Home.Click ()
[ ] 
