﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete existing item
	[+] // Test Steps.
		[ ] //  1. Invoke Item List (Result 1)
		[ ] //  2. Enter name of  Inventory item to be deleted on Search Inventory field of Item List
		[ ] //  3. Go to I Want To-> Delete (Result 2)
		[ ] //  4. Click on cancel (Result 3)
		[ ] //  5. Go to I Want To-> Delete (Result 4)
		[ ] //  6. Click on delete (Result 5)
		[ ] //  7. Enter name of  Non-Inventory item to be deleted on Search Inventory field of Item List
		[ ] //  8. Go to I Want To-> Delete (Result 6)
		[ ] //  9. Click on delete (Result 7)
		[ ] //  10. Enter name of  Service item to be deleted on Search Inventory field of Item List
		[ ] //  11. Go to I Want To-> Delete (Result 8)
		[ ] //  12. Click on delete (Result 9)
		[ ] //  13. Enter name of  Assembly item to be deleted on Search Inventory field of Item List
		[ ] //  14. Go to I Want To-> Delete (Result 10)
		[ ] //  15. Click on delete (Result 11)
		[ ] //  16. Enter name of  Group item to be deleted on Search Inventory field of Item List
		[ ] //  17. Go to I Want To-> Delete (Result 12)
		[ ] //  18. Click on delete (Result 13)
	[+] // Expected Result.
		[ ] //  1. Verify Item List is didplayed
		[ ] //  2. Verify delete confirmation message is displayed
		[ ] //  3. Verify the item has not been deleted
		[ ] //  4. Verify delete confirmation message is displayed
		[ ] //  5. Verify the item has been deleted
		[ ] //  6. Verify delete confirmation message is displayed
		[ ] //  7. Verify the item has been deleted
		[ ] //  8. Verify delete confirmation message is displayed
		[ ] //  9. Verify the item has been deleted
		[ ] //  10. Verify delete confirmation message is displayed
		[ ] //  11. Verify the item has been deleted
		[ ] //  12. Verify delete confirmation message is displayed
		[ ] //  13. Verify the item has been deleted
[ ] // TESTCASE::ItemDelete
[ ] // ATC ID::POS_INV_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DeleteItem.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ItemDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ItemDelete ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DeleteItem.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Enter name of  Inventory item to be deleted on Search Inventory field of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem3"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] Items.Confirmation.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the item has not been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 6: Click on delete
			[ ] Items.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Item has been deleted after clicking on delete")
		[ ] 
		[+] // Step 7: Enter name of  Non-Inventory item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "NonInvItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 8: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 6: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 9: Click on delete
			[ ] Items.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 7: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Non Inventory Item has been deleted")
		[ ] 
		[+] // Step 10: Enter name of  Service item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "ServItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 11: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 8: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 12: Click on delete
			[ ] Items.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 9: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Service Item has been deleted")
		[ ] 
		[+] // Step 13: Enter name of  Assembly item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "AsmbItem2"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 14: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 10: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 15: Click on delete
			[ ] Items.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 11: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Assembly Item has been deleted")
		[ ] 
		[+] // Step 16: Enter name of  Group item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "GrpItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 17: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 12: Verify delete confirmation message is displayed
			[ ] sMessage = "1 item selected for deletion"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 18: Click on delete
			[ ] Items.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 13: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Group Item has been deleted")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
