﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying merging 2  items
	[+] // Test Steps:
		[ ] // 1. Invoke Add Inventory Item form (Result 1)
		[ ] // 2. Get OnHand qtys of both the inventory items present
		[ ] // 3. Goto i Want To -> Merge (Result 2)
		[ ] // 4. Merge the Items (Result 3) (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify Item List is dispalyed
		[ ] // 2. Verify Merge Items dialog pops up
		[ ] // 3. Verify Item data save successfully
		[ ] // 4. Verify Item removed after merging in not present in the Item List
[ ] // TESTCASE::MergeItems
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MergeItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MergeItems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sValue
		[ ] NewItemRec nirItem, niritem1
		[ ] List Of STRING lsExpectedItemList
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] nirItem = {}
		[ ] niritem1 = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Get OnHand qtys of both the inventory items present
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemDataFromDetail (nirItem)
			[ ] niritem1.sItemName =  "InvItem2"
			[ ] niritem1 = GetItemDataFromDetail (niritem1)
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 3: Goto i Want To -> Merge
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Merge.Click ()
		[ ] 
		[+] // Result 2: Verify Merge Items dialog pops up
			[ ] VerifySafely (MergeItems.Exists (5), TRUE," Merge Items dialog pops up")
		[ ] 
		[+] // Step 4: Merge the Items
			[ ] MergeItems.SetActive ()
			[ ] MergeItems.RemoveThisItem.Item.SetText ("InvItem2")
			[ ] MergeItems.TypeKeys ("<Enter>")
			[ ] MergeItems.MergeItems.Click ()
			[+] if (MergeItems.Exists (3))
				[ ] MergeItems.MergeItems.Click ()
			[+] if (PointOfSaleMessage.Exists (3))
				[ ] PointOfSaleMessage.SetActive ()
				[ ] PointOfSaleMessage.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Item data save successfully
			[ ] nirItem.sOnHandQty = Str (Val (nirItem.sOnHandQty) + Val (niritem1.sOnHandQty))
			[ ] //sValue = Str (((Val (nirItem.sAvgUnitCost) * Val (nirItem.sOnHandQty)) +((Val (niritem1.sAvgUnitCost) * Val (niritem1.sOnHandQty)))) / (Val (nirItem.sOnHandQty) + Val (niritem1.sOnHandQty)))
			[ ] sValue = "75"
			[ ] nirItem.sAvgUnitCost = sValue + ".00"
			[ ] VerifyItemData (nirItem)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Result 4: Verify Item removed after merging in not present in the Item List
			[+] lsExpectedItemList = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0" 
				[ ] "1 InvItem1 System 100.00 96 96"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
			[ ] Items.ItemsList.Invoke ()
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsExpectedItemList, "Item removed not present in list")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
