﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify applying styale templates
	[+] // Test Steps:
		[ ] // Step 1: Open an item for edit having OH Qty
		[ ] // Step 2: Open the item for edit having OH Qty and click on style
		[ ] // Step 3: Click on style
		[ ] // Step 4: Deletet the OH Qty of a style combi
		[ ] // Step 5: Click on Delete and then save
		[ ] // Step 6: Open the item for edit and Click on style
		[ ] // Step 7: Select a different style
		[ ] // Step 8: Click on Template search
		[ ] // Step 9: Add a new Template and rename it to existing temp name
		[ ] // Step 10: Click on OK and then delete the ST which was applied on grid
		[ ] // Step 11: Click ok Delete style template
		[ ] // Step 12: Add a new row to the new temp ancd click on close
		[ ] // Step 13: Click on Yes
	[+] // Expected Result:
		[ ] // Result 1: Verify style items item present for style
		[ ] // Result 2: Verify delete dialog displayed
		[ ] // Result 3: Verify style Items deleted
		[ ] // Result 4: Verify New Temaplate applied
		[ ] // Result 5: Verify Select Style Template dialog displayed
		[ ] // Result 6: Verify message displayed duplicate name
		[ ] // Result 7: Verify delete style template dialog displayed
		[ ] // Result 8: Verify save confirmation
		[ ] // Result 9: Verify style grid not affected due to deletion of ST
[ ] // TESTCASE.:StyleTemplates
[ ] // ATC ID::POS_SALE_ATC_061
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::StyleTemplates.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase StyleTemplates () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sOHQty2, sOHQty3, sOHQty4, sST, sNewST
		[ ] ItemStyleRec isrStyle1, isrStyle2, isrStyle3, isrStyle4
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected, lsAttributesExpected, lsSizesExpected
		[ ] LIST OF ItemStyleRec lisrStyle = {}
		[ ] RECT r
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] isrStyle1.sAttribute = "White"
		[ ] isrStyle1.sSize = "XL"
		[ ] isrStyle2.sAttribute = "Black"
		[ ] isrStyle2.sSize = "XL"
		[ ] isrStyle3.sAttribute = "White"
		[ ] isrStyle3.sSize = "XXL"
		[ ] isrStyle4.sAttribute = "Black"
		[ ] isrStyle4.sSize = "XXL"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an item for edit having OH Qty
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TShirt"
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify style items item present for style
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] lsItemsExpected = {...}
				[ ] "27 TShirt Garments_T Casuals White XXL 0.00 20 20"
				[ ] "28 TShirt Garments_T Casuals Black XXL 0.00 25 25"
				[ ] "25 TShirt Garments_T Casuals White XL 0.00 10 10"
				[ ] "26 TShirt Garments_T Casuals Black XL 0.00 15 15"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New style Item added")
		[ ] 
		[+] // Step 2: Open the item for edit having OH Qty and click on style
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 3: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Step 4: Deletet the OH Qty of a style combi
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle4, "", "Enter")
		[ ] 
		[+] // Result 2: Verify delete dialog displayed
			[ ] VerifySafely (DeleteItem.Exists (2), TRUE, "Delete dialog appeared")
		[ ] 
		[+] // Step 5: Click on Delete and then save
			[+] switch (GetGuiType ())
				[+] case mswxp, mswxp64, msw2003, msw2003_64, mswvista, mswvista_64
					[ ] DeleteItem.SetActive ()
				[+] case mswin7, mswin7_64, mswin2008, mswin2008_64
					[+] do
						[ ] DeleteItem.SetActive ()
					[+] except
						[ ] r = Desktop.GetRect ()
						[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
			[ ] DeleteItem.Delete.Click ()
			[ ] Items.SetActive ()
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 3: Verify style Items deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] lsItemsExpected = {...}
				[ ] "27 TShirt Garments_T Casuals White XXL 0.00 20 20"
				[ ] "26 TShirt Garments_T Casuals Black XL 0.00 15 15"
				[ ] "25 TShirt Garments_T Casuals White XL 0.00 10 10"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Style Items edited ")
		[ ] 
		[+] // Step 6: Open the item for edit and Click on style
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Step 7: Select a different style
			[ ] sST = "ST1"
			[ ] Items.ItemsList.EditStyle.StyleTemplate.Select (sST)
		[ ] 
		[+] // Result 4: Verify New Temaplate applied
			[+] lsAttributesExpected = {...}
				[ ] "Black"
				[ ] "White"
				[ ] "AA1"
				[ ] "AA2"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "New Temaplate applied")
			[+] lsSizesExpected = {...}
				[ ] "XL"
				[ ] "XXL"
				[ ] "SS1"
				[ ] "SS2"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "New Temaplate applied")
		[ ] 
		[+] // Step 8: Click on Template search
			[ ] Items.ItemsList.EditStyle.Search.Click ()
		[ ] 
		[+] // Result 5: Verify Select Style Template dialog displayed
			[ ] VerifySafely (SelectAStyleTemplate.Exists (2), TRUE, "Style template dialog displayed")
		[ ] 
		[+] // Step 9: Add a new Template and rename it to existing temp name
			[ ] sNewST = "NEWST"
			[+] switch (GetGuiType ())
				[+] case mswxp, mswxp64, msw2003, msw2003_64, mswvista, mswvista_64
					[ ] SelectAStyleTemplate.SetActive ()
				[+] case mswin7, mswin7_64, mswin2008, mswin2008_64
					[+] do
						[ ] SelectAStyleTemplate.SetActive ()
					[+] except
						[ ] r = Desktop.GetRect ()
						[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
			[ ] SelectAStyleTemplate.StyleTemplates.AddTemplate (sNewST)
			[ ] SelectAStyleTemplate.StyleTemplates.RenameTemplate (sNewST, sST)
		[ ] 
		[+] // Result 6: Verify message displayed duplicate name
			[ ] VerifySafely (PointOfSaleMessage.Exists (2), TRUE, "Duplicate ST message displayed")
		[ ] 
		[+] // Step 10: Click on OK and then delete the ST which was applied on grid
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] SelectAStyleTemplate.StyleTemplates.DeleteTemplate (sST, FALSE)
		[ ] 
		[+] // Result 7: Verify delete style template dialog displayed
			[ ] VerifySafely (DeleteStyleTemplate.Exists (2), TRUE, "Delete confirmation dialog displayed")
		[ ] 
		[+] // Step 11: Click ok Delete style template
			[ ] DeleteStyleTemplate.DeleteStyleTemplate.Click ()
		[ ] 
		[+] // Step 12: Add a new row to the new temp ancd click on close
			[ ] SelectAStyleTemplate.AddRowToST (sNewST, "Test")
			[ ] SelectAStyleTemplate.Close.Click ()
		[ ] 
		[+] // Result 8: Verify save confirmation
			[ ] VerifySafely (TemplateModified.Exists (2), TRUE, "Save confirmation appeared")
		[ ] 
		[+] // Step 13: Click on Yes
			[ ] TemplateModified.Yes.Click ()
		[ ] 
		[+] // Result 9: Verify style grid not affected due to deletion of ST
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "New Temaplate applied")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "New Temaplate applied")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
