﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete an Work Order
	[+] // Test Steps.
		[ ] // 1. Invoke WorkOrder List (Result 1)
		[ ] // 2. Select the WorkOrder to be deleted
		[ ] // 3. Go to I Want To-> Delete (Result 2)
		[ ] // 4. Click on cancel (Result 3)
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete (Result 4)
		[ ] // 6. Click on Delete (Result 5)
	[+] // Expected Result.
		[ ] // 1. Verify WorkOrder List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the WorkOrder has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the WorkOrder has been deleted
[ ] // TESTCASE::DeleteWorkOrder
[ ] // ATC ID::POS_SALE_ATC_060
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DeleteWorkOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DeleteWorkOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke WorkOrder List
			[ ] WOList.Invoke ()
		[ ] 
		[+] // Result 1: Verify WorkOrder List is didplayed
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WorkOrder List is displayed")
		[ ] 
		[+] // Step 2: Select the WorkOrder to be deleted
			[ ] sWONum = "1"
			[ ] WOList.SelectWO (sWONum)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] WOList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteWorkOrder.Exists (3), TRUE, "Delete WorkOrder displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeleteWorkOrder.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the WorkOrder has not been deleted
			[ ] WOList.ToolBar.FindWO.SetText (sWONum)
			[ ] WOList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindWorkOrder.SelectWorkOrder.IsEnabled (), TRUE, "WorkOrder has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Clik on Close and then Go to I Want To-> Delete
			[ ] FindWorkOrder.Close.Click ()
			[ ] WOList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteWorkOrder.Exists (3), TRUE, "Delete WorkOrder displayed")
		[ ] 
		[+] // Step 6: Click on Delete
			[ ] DeleteWorkOrder.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the WorkOrder has been deleted
			[ ] WOList.ToolBar.FindWO.SetText (sWONum)
			[ ] WOList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindWorkOrder.SelectWorkOrder.IsEnabled (), FALSE, "WorkOrder has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if FindWorkOrder.Exists (3)
			[ ] FindWorkOrder.Close.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
